2025-12-08 Added TTS support to Model Viewer 3D
2025-12-04 Added TTS support to Paragraph Keyboard
2025-11-27 Fixed scaling of images in printable mode
2025-11-26 Fixed issue with filtered out to many frames in TextAudio
2025-11-26 Fixed issue with Paragraph breaking when embeded multiple times
2025-11-24 Improved reset in Puzzle and Coloring addons to be callable before addons full initialization
2025-11-21 Improved cleanup after footer and header
2025-11-21 Fixed mathjax sometimes breaking the detection of alt text elements
2025-11-14 Added alt gaps in Text
2025-10-30 Fixed media recorder analyzer being blocked on Safari
2025-10-30 Extended default CSS styles to prevent differences in printouts between devices
2025-10-30 Fixed issue with wrong height of Connection addon in printable mode
2025-10-30 Added support for Math with Text in print
2025-10-24 Added support for Math with Table in print
2025-10-21 Fixed issue with not full clean up after getPrintableHTML call
2025-10-17 Fixed issue with no switching between mouse and touch support for Double State Button
2025-10-17 Fixed media recorder events missing moduleType
2025-10-17 Fixed bug where links were being created incorrectly in Advanced Connector
2025-10-17 Fixed several issues with events in Text, Media Recorder and Paragraph
2025-10-14 Fixed parts of flashcard being visible after hide has been called
2025-10-02 Fixed issue with nested addons getting overwritten in the Text module on getState
2025-09-29 Fixed MathText leaving showAnswers mode when getScore is called
2025-09-23 Fixed loading icon not being centered correctly on mobile mCourser
2025-09-19 Fixed rendering of content with alt texts and MathJax in print
2025-09-19 Changed events in MathText addon
2025-09-08 Added command to disable usage of state in printable functionality
2025-09-08 Added CSS class .text_selection_disabled to Text_Selection addon
2025-09-03 Fixed IWB Toolbar sometimes breaking when the scroll element can't be found
2025-08-29 Fixed issue with eszett in crosswords addon
2025-08-19 Added PreDestroyed type event
2025-08-04 Fixed issue with infinity loop from Advanced Connector addon and events sent on page close
2025-07-29 Fixed editor error when WIRIS editor is not available
2025-07-28 Fixed displaying Hierarchical Table of Contents when selected display only chapters
2025-07-25 Fixed scorm files failing when in cross-origin frame
2025-07-18 Added CSS class for element representing the current page in the Hierarchical Table of Contents
2025-07-08 Added Source List support for br tag
2025-07-05 Fixed resetting Image gap, Choice and Page Progress to restore their default visibility
2025-07-04 Added MathJax refresh after onPageLoaded listener execution
2025-07-04 Fixed pie chart state not accounting for different addon size in different layouts
2025-07-04 Fixed bug related to lack of support for all file extensions in the External Link Button
2025-07-03 Added support for nested event handling in Advanced Connector
2025-06-27 Fixed cross-domain error in Text
2025-06-25 Fixed draggable gap in Table accepting images
2025-06-13 Fixed gap binder not adding appropriate classes to gaps in show answers mode
2025-06-11 Fixed blockly code editor breaking if initial layout is not the default
2025-06-03 Added sending empty and modified events in paragraph addon
2025-05-30 Fixed issue causing unwanted resetting of user answers in Writing Calculations
2025-05-27 Fixed Gap Binder displaying all answers at once in gradual show answers mode
2025-05-22 Fixed issue with ungrouping modules after some actions
2025-05-21 Added new events in Audio, Media Recorder, Drawing and Text
2025-05-14 Fixed issues with setVideoURL in video
2025-04-02 Fixed issue with escaped html characters inside alt text in draggable Text gaps
2025-03-21 Fixed issue with < inside MathJax brackets  in Math addon
2025-03-18 Added initJSObject method to CheckCounter module
2025-03-18 Added auto 'Table cells' list expansion/reduction in Table addon
2025-03-13 Fixed issue with Text draggable gaps and less than sign in mathjax
2025-03-07 Fixed double equations sometimes occuring when mathjax 2.7 is enabled
2025-03-05 Fixed connection elements in addon Connection
2025-02-28 Fixed setState error related to not valid empty videoURLS in state
2025-02-28 Fixed mathJax loading
2025-02-14 Fixed setPrintableOrder malfunction in mCourser
2025-02-14 Fixed issue with hls files in the video addon when a page is reloaded
2025-02-12 Fixed problem with missing library for video addon
2025-02-12 Added TTS support for speed control in video addon
2025-02-05 Added combination of keys to change playback rate in Audio addon
2025-02-04 Fixed progress bar length in TextAudio
2025-02-03 Changed that Open Activities' addons get 100% of maxScore by default
2025-01-31 Added Verbose New Page Message to the TTS addon
2025-01-31 Added alternative keyboard navigation with TTS for Writing Calculations addon
2025-01-31 Fixed not changing SVG icon in Double_State_Button
2025-01-31 Fixed bug with too small brackets on Safari in MathML equations
2025-01-31 Fixed Math parentheses having incorrect size if they contain integrals 
2025-01-31 Fixed large formulas in Safari in MathML rendering
2025-01-17 Fixed misplacing loader
2025-01-17 Added functionality to automatically add assets from CSS file for paragraph addons
2025-01-17 Added check to prevent execution of mathJax refresh when player is not ready
2025-01-15 Added renderSVGAsHTML property to Single State Button
2025-01-09 Added support in Coloring and Shape Tracing addons to crossorigin files if domain is on whitelist
2024-12-23 Added Addons_Loaded event sending when addons are loaded
2024-12-20 Fixed issues with m3u8 in video on ios devices
2024-12-20 Added checking transparent area in Coloring
2024-12-20 Added scaling loader icon
2024-12-20 Added new property "Use Custom CSS files" to paragraph addons
2024-12-13 Fixed score counting in draggable gaps
2024-12-06 Fixed displaying of mouse coordinates for Shape Tracing in editor
2024-12-06 Added documentation to MathText
2024-12-06 Added m3u8 support in video
2024-11-29 Added condition blocking attach of resource path on external services
2024-11-29 Fixed issue with html tags in source list
2024-11-29 Fixed linking of default assets in Coloring, Shape Tracing, Vimeo, and YouTube addons
2024-11-29 Added missing "Y axis values position" property in Plot addon
2024-11-29 Added setPrintableOrder function to Player Entry Point
2024-11-29 Added scroll to top
2024-11-29 Fixed malfunction on destory in Paragraph, EditableWindow and eKeyboard
2024-11-29 Fixed ANB button width and pagination in expandable sections
2024-11-26 Fixed bug related to resizing of MathML elements in the Firefox browser
2024-11-21 Added support to the Magic Boxes addon on interactive whiteboards
2024-11-19 Added support to the Drawing addon on interactive whiteboards
2024-11-18 Added support to the Shape Tracing addon on interactive whiteboards
2024-11-15 Fixed mathJax malfunction in SourceList
2024-11-15 Added getRenderedModuleOrderForPrint and related methods
2024-11-15 Fixed Table not parsing alt text properly in draggable gaps
2024-11-15 Fixed issue with reset button before user's recording was ready
2024-11-07 Fixed Positioning Utils to work when player is in cross domain
2024-11-07 Fixed impact of enable and disable commands on Image Source when active TTS
2024-11-06 Fixed tab and tab&shift navigation in crossword
2024-11-04 Fixed not rendering MathJax formulas after changing layout or lesson metadata context
2024-11-04 Added "STIX Two Math" font as default font for MathML
2024-11-04 Added support for lameScriptURL metadata in Media Recorder
2024-10-29 Added property to model iOS in Model Viewer 3D
2024-10-28 Fixed hide section in ANB
2024-10-25 Fixed issue with chapters in Hierarchical Lesson Report
2024-10-25 Removed "Show video" property from Video addon
2024-10-25 Added partial support of signing URL and include signed cookies
2024-10-25 Added dropdown pages list in Assessments_Navigation_Bar
2024-10-25 Fixed displaying FileSender popups in mCourser
2024-10-25 Fixed issue with reset causing math gaps to throw erros when mathjax 2.7 is enabled
2024-10-18 Added fullscreen functionality to Model Viewer 3D
2024-10-18 Added Large preview to page
2024-10-11 Added TTS support to Writing Calculations
2024-10-08 Fixed Assessments Navigation Bar and openPopup to work with iframe with src not from this same origin
2024-10-03 Added support to AI relevance
2024-09-24 Added support to the IWB Toolbar addon on interactive whiteboards
2024-09-19 Added keyboard navigation and TTS to Fractions addon
2024-09-18 Added support to drag & drop on interactive whiteboards
2024-09-18 Added disable navigation panels lesson property
2024-09-11 Added method returning current page id to parent window
2024-09-11 Changed the positioning of Zoom Image addon to be in a center of player area
2024-09-11 Changed the positioning of commons popups to be in a center of player area
2024-09-11 Fixed improved the Source List with 2.7.9 MathJax issues
2024-09-09 Added calculating total score from all pages in Hierarchical_Lesson_Report
2024-09-06 Fixed undefined ID in eKeyboard addon
2024-09-05 Fixed Mutation Observer error in TextAudio addon
2024-08-28 Fixed not displaying gaps in MathML render option.
2024-08-27 Added Mutation Observer instead DOMNodeRemoved
2024-08-26 Added cleaning after player for mLibro
2024-08-21 Changed contentDataLoader to download addons individually by default
2024-08-21 Added show/hideAngleMeasures to the Geometric Construct addon
2024-08-21 Added length measures visibility and length decimal point properties to Gemoetric Construct
2024-08-21 Added grid to Geometric Construct addon
2024-08-21 Changed the moment a page is set as visited to the moment after it is loaded
2024-08-08 Fixed added fallback for Assessment Navigation Bar getState in case it was called to early
2024-08-08 Added alternative texts support for FlashCards
2024-07-30 Added displaying default page order in test generator preview
2024-07-29 Chunked libs.min.js
2024-07-29 Added protection against negative total time
2024-07-19 Added hide x/y axis property to the Geometric Construct addon
2024-07-12 Fixed displaying popups in mobile mCourser
2024-07-12 Added x and y axis to the Geometric Construct
2024-07-09 Added Angle figure to the Geometric Construct addon
2024-07-05 Change absolute to relative library url in LottiePlayer
2024-07-05 Fixed placement of Zoom Image's "Full Screen image"
2024-06-28 Added support for content base URL
2024-06-28 Added Geometric Construct addon
2024-06-25 Added popups direction in IWB Toolbar
2024-06-21 Removed listeners to close Drawing addon's text editor after click outside canvas
2024-06-18 Fixed LimitedCheck with maintain state selected
2024-06-05 Fixed enabling locked Clock addon
2024-06-04 Added grading user answer by AI in Paragraph and Paragraph Keyboard
2024-06-04 Removed inclusion of Open Activities scores for mc
2024-06-04 Added score and error count to Paragraph and Paragraph Keyboard addons
2024-05-28 Added mockup method for setOpenActivitiesScores
2024-05-20 Added max score to Paragraph and Paragraph Keyboard addons
2024-05-16 Fixed incorrect display of formulas in the Text Selection
2024-05-13 Added validation to course ID in the Cross Lesson
2024-05-12 Added floatScore field to the PlayerUtils lesson score
2024-05-09 Fixed state and reset functionality in the Model Viewer 3D
2024-05-08 Added Zoom module
2024-05-07 Change URL to library in Model Viewer 3D
2024-04-26 Added Model Viewer 3D addon
2024-04-19 Fixed mathjax not being rendered when added to a text module via the setText method
2024-04-18 Fixed magic boxes throwing errors in iceditor on reload
2024-04-05 Fixed adding special characters into iframe tag in Paragraph
2024-04-04 Fixed issue with apostrophes in answers in Text and Table addons
2024-04-02 Added Send only card changed event property to the FlashCards
2024-03-27 Fixed issues with pause events in multiaudio and multiplegap addons
2024-03-22 Fixed showing next or prev page index in ANB
2024-03-22 Fixed draggable gaps with markup in Text weren't receiving correct classes in checkErrorsMode
2024-03-22 Fixed the conflict between showAllCards vs ShowAllCards in FlashCards
2024-03-22 Added base width/height properties to the Animation addon
2024-03-22 Added intruder tokens to Text_Coloring
2024-03-22 Added base width/height properties to the Slideshow addon
2024-03-22 Added base width and base height properties to Image Viewer
2024-03-22 Added update CSS and update template options to menu
2024-03-15 Fixed first image gap receiving ui-state-disabled class in GSA mode
2024-03-15 Fixed issue with Cross Lesson not working on mLibro
2024-03-15 Added randomize order property to Flashcards
2024-03-15 Added missing speech texts in Speech text dictionary
2024-03-15 Added base width/height properties to the video addon
2024-03-08 Added pause even to MultiAudio addon
2024-03-08 Added disable score update property to the Check Button
2024-02-28 Added property useDynamicPagination which activates sliding to previous or next page index
2024-02-22 Added new property Omit in keyboard navigation to the modules
2024-02-22 Added displaying next or previous page index in Assessments Navigation Bar
2024-02-16 Added example answers to the  graph addon
2024-02-16 Added example columns to the Count and Graph addon
2024-02-16 Disable reading disable speech text on addons without the property
2024-02-16 Added Show Answers and Gradual Show Answers to Point to Plot
2024-02-16 Fixed state loading in Pargraph module when is not visible
2024-02-09 Added disable property to speech text in Double State Button
2024-02-09 Added help boxes to Writing Calculation addon
2024-02-06 Enable getResponsiveLayouts function to use in Advanced Connector
2024-02-02 Added marks to Plot addon
2024-02-02 Fixed multiplegap not parsing alt texts correctly
2024-02-02 Added events for changing/reversing the cards in the Flash Cards
2024-02-02 Fixed changing position of IWB Toolbar when is opened
2024-02-02 Added functionality to Stepwise mode bar in Slider addon to be always visible
2024-02-02 Added gradual show answers support to the count and graph addon
2024-01-26 Changed player-utils to provide max score for unvisited pages
2024-01-26 Added GSA support to Plot addon
2024-01-26 Added the option of creating static sections in Assessments Navigation Bar
2024-01-24 Added GSA support to PieChart addon
2024-01-19 Added GSA to the Line Selection addon
2024-01-19 Changed upload functionality to use Google Cloud Store
2024-01-19 Fixed inappropriate answers displaying in Draggable Gap while GSA is activated
2024-01-19 Fixed errors in video addon without controls when action was performed in Media Recorder
2024-01-17 Fixed changing position of IWB Toolbar
2024-01-15 Fixed displaying value in Page Progress Panel
2024-01-15 Added Gradual Show Answers in the Line Number
2024-01-11 Fixed issue with LaTeX in Flash Card rendering differently at the front and back of the card
2024-01-11 Added GSA to the Fractions addon
2024-01-11 Added GSA support to Figure Drawing addon
2024-01-05 Fixed read selected element in Inline Gaps
2024-01-05 Fixed keyboard navigation selects not visible element
2024-01-05 Fixed playing a recording from Media Recording when using IOS app
2024-01-05 Added Gradual Show Answers in the Writing Calculations
2024-01-05 Fixed wait dialog positioning
2023-12-15 Fixed inability to play recording of Media Recording addon when it is on the first page of a lesson
2023-12-14 Disabled autocomplete of editable gaps in Table, Text and Basic Math Gaps
2023-12-13 Added omit text in TTS property to Double State Button
2023-12-13 Added mute property to the feedback addon
2023-12-11 Fixed non-blocking of empty gaps in check state for combination Table + Math
2023-12-11 Fixed Text receiving nowrap style when not apropriate
2023-12-06 Fixed bug in video addon displaying information that video cannot be played even though local resource exists
2023-12-06 Added new languages to Responsive Voice
2023-12-05 Fixed show answers mode not being restored in Text math gaps
2023-11-23 Fixed width calculation in Ordering module when "Even width for all elements" is checked
2023-11-23 Added support for paragraphInitDelay external variable in the Paragraph addon
2023-11-23 Fixed inability to select text when there is slider addon on page
2023-11-23 Expanded functionality for the text editor in the Drawing addon
2023-11-15 Added a method enabling the use of NVDA
2023-11-13 Changed position on collision of eKeyboard from flip to flipfit
2023-11-13 Changed Image Identification to set 'Alternative text' as 'alt' attribute
2023-11-08 Added property isNotActivity to the Text Coloring
2023-11-08 Added Gradual Show Answers to Connecting Dots
2023-11-08 Fixed alt text in Connection addon
2023-11-08 Fixed displaying geometric devices in IWB Toolbar
2023-11-08 Added play, pause and stop commands to Flash Cards
2023-11-03 Fixed too early launch of blur feedback when using eKeyboard on mobile devices
2023-11-03 Added new container for response mark in the Image Gap
2023-10-27 Fixed recording malfunction on application
2023-10-27 Fixed checking correctness of drawing in Shape Tracing for scaled player
2023-10-27 Removed re-downloading of lesson page XML when changing layout
2023-10-27 Fixed IWB Toolbar not scrolling when fixed on mCourser
2023-10-25 Added Orientations property to Connection addon
2023-10-20 Fixed marking of correct answers in the Ordering while using GSA 
2023-10-18 Added new method setGapText to the Table addon
2023-10-13 Fixed sending event about the correct word when a letter from outside the word was entered
2023-10-13 Fixed setting width for gaps
2023-10-13 Added support for random order in Source List module
2023-10-13 Fixed creating empty recording in Media Recorder
2023-10-13 Added Expansion Direction property to the IWB Toolbar addon
2023-10-06 Fixed bug with inability to record in Media Recording addon in FireFox
2023-10-06 Changed getPage and getPageById to return null for non-existent index/id, rather than throw and error
2023-10-06 Added getFullPresentationScore method to player-utils
2023-10-05 Changed Cross Lesson to cache course access request results
2023-09-27 Fixed issue with width of draggable elements in Text when gap width is not equal 0
2023-09-27 Fixed mathjax issue in Text when a page has been reloaded in quick succession
2023-09-20 Fixed issue with too long draggable elements in Text
2023-09-20 Fixed problem with line display in addon connection
2023-09-20 Fixed work of addon Connection with GSA when page is reportable
2023-09-18 Fixed dropdown value in Text not being saved correctly in state
2023-09-13 Fixed sending event after leaving gap when TTS is activated
2023-09-13 Fixed skipping sentence after special characters
2023-09-13 Fixed reading hidden elements in the EditableWindow
2023-08-31 Removed navigation on invisible elements in AudioText addon when TTS or keyboard navigation is active
2023-08-31 Added documentation to MathText
2023-08-25 Correct calculating gap width
2023-08-25 Fixed issue with show answers mode in Table+Math
2023-08-25 Fixed reset in Paragraph to restore original visibility
2023-08-25 Removed reading punctuation marks in the wrong places in chrome
2023-08-22 Fixed issues caused by loading new content using the same player
2023-08-16 Fixed issue with the Audio addon not playing on new iOS devices
2023-08-08 Added reducing audio file in MediaRecorder
2023-08-07 Fixed issues with rounding score in progress bar and lesson report
2023-08-07 Removed capitalization of letter ß in Magic Boxes
2023-08-03 Fixed storing current visibility status in Puzzle
2023-07-24 Changed editor in Advance Connector addon
2023-07-20 Fixed counting score when the Crossword has sample answers
2023-07-19 Restored page numbering from 1 in Hierarchical Lesson Report
2023-07-19 Fixed added audio in Choice not working on mobile
2023-07-19 Fixed the isAllOK function in the Magic Boxes
2023-07-19 Fixed setting visibility on reset in Catch addon
2023-07-19 Added support for rootDirectory metadata in Media Recorder
2023-07-19 Changed label of functionality to sort addons CSS classes in Editor from "Sort" to "Sort A-Z"
2023-07-19 Fixed incorrect counting of the gap index in the text module after keyboard navigation on links
2023-07-19 Fixed disabled Text getting enabled on gradual hide answers
2023-07-13 Fixed updating score in Crossword after GradualShowAnswer
2023-07-07 Fixed interaction of LaTeX in FlashCards
2023-07-06 Added GapMaxLength property to the Table addon
2023-07-05 Fixed Pragraph styling of the current content affecting Show Answers text
2023-07-05 Changed CSS editor
2023-07-05 Added TTS to Timer
2023-06-30 Fixed keyboard navigation when dropdown elements in text
2026-06-29 Fixed Basic Math Gaps addon not working correctly when Show Answers increments mistake counter
2023-06-29 Added missing addons from default tts titles editor
2023-06-26 Fixed disabled Ordering after GradualHideAnswer
2023-06-23 Added getWorksWithModulesList method to the Limited Reset button
2023-06-23 Fixed nested addons in Text breaking printing
2023-06-23 Fixed not being able to set page index 0 in alternative page titles property of HLR
2023-06-19 Added alphabetical sorting of CSS classes
2023-06-13 Fixed GSA in Coloring in exported SCORM packages 
2023-06-07 Added conversion to mp3 in media recorder after recording is complete
2023-06-07 Fixed Show Answers with mistake counter activated in Points and Lines
2023-06-07 Fixed keyboard navigation not working correctly when there's a mix of draggable and editable gaps in Text
2023-06-01 Fixed audio in Choice not working on mobile
2023-05-31 Added printing support for Zoom Image
2023-05-31 Fixed dragging out responses from draggable gap after changing page in Table addon
2023-05-31 Added renderSVGAsHTML property to Double State Button letting creating SVG file from data
2023-05-26 Fixed Advance Connector addon losing context of Show Answers and Hide Answers event
2023-05-26 Fixed reading dots in text list
2023-05-26 Fixed dropdownClicked event received behaviour in Audio, TextAudio, Video and MultiAudio addon when paused
2023-05-26 Fixed hierarchical lesson report incorrectly restoring state when some pages/chapters are not reportable
2023-05-18 Fixed reading stoppage (TTS)
2023-05-16 Changed Text and Choice module do not reset visibility for Gradual Hide Answers
2023-05-16 Fixed issue with show and hide in Text when in showAnswers mode
2023-05-12 Fixed 0 width/height groups in parser
2023-05-12 Fixed separation of events listening due to the platform in the Cross Lesson
2023-05-12 Added getWorksWithModulesList function to LimitedCheck addon
2023-05-11 Fixed reading separated punctuation marks (TTS)
2023-05-08 Fixed Gap Binder now working with GSA when page is reportable
2023-05-08 Added getWorksWithModulesList function to LimitedShowAnswers addon
2023-05-08 Fixed text not being selectable in Paragraph when editor is disabled
2023-05-08 Expanded support for alternative texts in Quiz addon
2023-04-27 Fixed problem with incorrect conversion of & to &amp; in links in text module
2023-04-25 Added support for printable for Page Score Counter addon
2023-04-24 Added support for printable for crossword addon
2023-04-19 Fixed scroll for Coloring addon when active TTS
2023-04-18 Fixed print of text coloring when color ID is not equal to color description
2023-04-04 Adding gap grouping in the Text module
2023-04-04 Fixed displaying answers in the hidden Multiplegap
2023-04-03 Fixed loading subtitles preview in editor
2022-03-29 Fixed problem with incorrect positioning of Catch and Puzzle addons on mobile devices
2023-03-23 Fixed loading subtitles in Text Audio
2023-03-23 Added buttons in the list of addons in TTS that allows to add item in a selected place
2022-03-23 Added Default TTS Titles Dictionary to the Editor
2022-03-21 Changed behavior of the Assessments Navigation Bar addon to reset attempted status after receiving Lesson Reset event
2022-03-10 Added autofill page id button in editor
2023-03-10 Added new property TTS Title to the addons
2023-03-08 Changed behavior of isAttempted command if placeholder is set in paragraph addons
2023-03-07 Fixed TTS not working properly with HTML br Tag
2023-02-22 Fixed setting state in Paragraph
2023-03-02 Fixed multiple gap addon not working properly after reset and page change
2023-02-28 Add new property Omit in TTS to the modules
2023-02-23 Added zooming on clicked spot in IWB Toolbar
2022-02-17 Fixed crashing lesson editor for "Sample Templates"
2023-02-17 Fixed Paragraph TTS not working correctly in old content
2023-02-16 Added Block in error checking mode to Paragraph addon
2023-02-13 Fixed updating Animated Page Progress
2023-02-10 Added tests to external library injection
2023-02-10 Fixed removing the gap by dragleave
2023-02-10 Fixed connection not coloring connections with MathJax
2023-02-10 Update Hierarchical Lesson Report documentation
2023-02-10 Added ordered list edition
2023-02-06 Added deselected tts in paragraph toolbar
2023-02-03 Fixed assessment navigation bar sometimes attempting to call isActualPage on an invalid object
2023-02-03 Fix TTS causing error in page load
2023-02-03 Added eraser to Coloring TTS
2023-01-24 Fixed functionality to auto set in correct order groups' modules in view
2023-01-20 Added support to audio events in Text addon
2023-01-20 Added support for more than one digit inside the gap in Writing calculation addon
2023-01-18 Added sending to all teachers option in FileSender
2023-01-12 Fixed inability to drag a Source List item from Text when formatting is used
2023-01-11 Added Gradual Show Answers to Gap Binder
2023-01-11 Fixed bug with running event handler after removing Editable Window addon
2023-01-11 Fixed incorrect score calculation in chapters when disable score on pages property is used
2023-01-11 Allowed certain addons to work with GSA active
2023-01-09 Fixed player not handling empty getState, getScore, getMaxScore, getErrorsCount methods in addons
2023-01-09 Expanded support for alternative texts in editable window
2023-01-09 Added functionality to use weighted arithmetic mean in Hierarchical lesson report addon
2022-12-28 Fixed showing errors mode in Coloring
2022-12-19 Added TTS support to Coloring
2022-12-19 Added documentation to Adaptive Next and Lesson Score Counter addons
2022-12-13 Added hover class to TextAudio to help with styling
2022-12-12 Fixed the "CorrectWord" event not always firing in crossword
2022-12-09 Added GSA to the Graph addon
2022-12-09 Added TTS support to PointsLines
2022-12-09 Fixed failing to get correct scroll value in some contexts
2022-12-09 Fixed XSS vulnerabilities in Table and tts-utils
2022-12-09 Fixed XSS vulnerabilities in some addons
2022-12-08 Fixed script and module-script asset getting relative urls when not appropriate
2022-12-07 Fixed rounding of total score in Lesson Report
2022-11-28 Added ModuleScript property
2022-11-25 Removed pause while reading syntax about time for TTS
2022-11-25 Fixed TTS reading an extra comma when alt text with dot is present at the end of a list element
2022-11-25 Fixed no break in tts at the end of a line of text.
2022-11-22 Secured Text Selection addon against xss attacks
2022-11-14 Fixed support for only one audio type in slideshow addon
2022-11-10 Added grid size and rulers position separation
2022-11-07 Added worksWithAll property to eKeyboard
2022-11-03 Fixed bug with reading whole HTML elements instead of their content in TTS for Text Coloring
2022-11-03 Added LottiePlayer module
2022-11-03 Added support for eraser mode in Text Coloring's keyboard controller
2022-11-03 Fixed hidden GSA button showing up on keyboard navigation bug
2022-11-03 Fixed gradual show answers in the Magic Boxes
2022-11-03 Fixed absence of reading A with a colon in TTS
2022-11-03 Fixed grad show answers in the PointsLines
2022-10-28 Fixed no printable_module-className classes assigned to asynchronously loaded addons in print
2022-10-28 Fixed Lesson Progress and PlayerUtils returning a different scaled score
2022-10-28 Fixed calculating total score in the Hierarchical Lesson Report
2022-10-25 Fixed Text Selection quitting from show answers on getState
2022-10-20 Fixed multiplegap countItem sometimes returning wrong value
2022-10-20 Fixed bug with self-increasing text on IOS
2022-10-20 Fixed outstretchHeight command not working properly with static header
2022-10-14 Added methods for accessing correct/incorrect/partial/empty feedbacks to the Automatic Feedback addon
2022-10-10 Added Enlarge Button to header in present view
2022-10-07 Fixed Media Recorder show/hide not affecting addon's main div element
2022-10-06 Fixed downloading zip package for Android mLibro app
2022-10-06 Fixed tts not reading numbers of ordered lists
2022-10-06 Fixed functionality of "Force Load Audio" in Audio on IOS
2022-10-06 Added new page property to block page splitting in print
2022-09-27 Fixed bug where Table would steal events from other addons when it was hidden
2022-09-27 Added getView() to Ordering module
2022-09-23 Added disable axis lock property to the Ordering module
2022-09-23 Added GSA ignoring addons with is activity set  to false
2022-09-15 Added value attribute in AddonProperty
2022-09-09 Added xss prevention and secured Wiris addon against xss attacks
2022-09-08 Fixed bug where it was possible to insert one draggable element into gaps in multiple Table addons
2022-09-05 Fixed displaying of model answer in the Crossword
2022-09-02 Fixed GSA functionality for empty model answers in the Paragraph
2022-09-02 Fixed reading text separator in gap text.
2022-09-02 Fixed Media Recorder deleting recordings on check answers and play blocking in certain conditions
2022-08-31 Added external library injection support
2022-08-29 Added page_id to paginated score
2022-08-29 Fixed recording problem in recorder when M1 processor is used
2022-08-25 Fixed outstretchHeight command not working properly with layout argument
2022-08-19 Fixed keyboard navigation throught link gaps
2022-08-19 Updated setGapText method to fix indexation
2022-08-19 Fixed not sending the "start" event the first time a recording is played in Media Recorder
2022-08-19 Fixed displaying answers in Figure Drawing
2022-08-18 Fixed bug with audio not playing properly on IOS WebView in Media Recorder
2022-08-11 Added GSA support to Magic Boxes
2022-08-11 Fixed the CSS class in AudioPlaylist breaking the appearance of addon
2022-08-05 Removed static editor notification
2022-08-05 Fixed getActivitiesCount method in Connection
2022-08-05 Added IsNotActivity property to Puzzle
2022-08-05 Added new method setGapText to the Text module
2022-08-05 Fixed Paragraph not hiding editable placeholder content
2022-08-05 Fixed XLIFF export not working with Hierarchical Lesson Report and Catch modules
2022-08-05 Added option of reading individual sentences with TTS
2022-08-03 Added gap binder addon
2022-07-26 Fixed Math hiding answers on getState call
2022-07-26 Fixed Paragraph hiding answers on getState call
2022-07-25 Fixed Double State Button not calling events when placed in dynamic dom elements
2022-07-21 Added Depth Of Expand property to Hierarchical Table Of Contents
2022-07-20 Added ResetOnPageChange property to Automatic Feedback
2022-07-20 Added new parameter layoutName to outstretchHeight function
2022-07-19 Fixed Text TTS skipping commas when gap is present
2022-07-19 Fixed direct cross-origin calls in several places in the app
2022-07-15 Added TTS support to Magic Boxes
2022-07-15 Changed Cross Lesson model validation to allow check only by LessonID
2022-07-14 Fixed Assessment Navigation Bar not receiving Show/Hide answers event
2022-07-12 Upgraded Zoom Image destroy to close module when changing layout
2022-07-12 Fixed ANB not adding "inactive" class
2022-07-11 Added new property Page has not been reset to the Reset Button speech text
2022-07-08 Correct checking user answer in Table
2022-07-07 Fixed MathJax not rendering in editor
2022-07-05 Fixed Multigap MathJax element doubling on iOS
2022-07-05 Added TTS support to FlashCards
2022-07-05 Added "Not assignable" property to page
2022-07-05 Added keyboard navigation to the Confirm dialog in Reset Button
2022-07-01 New Addon Speechace
2022-06-28 Added Keyboard Navigation + TTS to Hierarchical Table Of Contents
2022-06-24 Added support for audio speed controller in keyboard navigation and TTS in Text Audio addon
2022-06-24 Added TTS support to Automatic Feedback
2022-06-24 Added keyboard navigation and TTS to Limited Reset
2022-06-24 Added keyboard navigation and TTS to Gradual Show Answer
2022-06-23 Added support for audio speed controller in keyboard navigation and TTS in Text Audio addon
2022-06-23 Added keyboard navigation and TTS to External Link Button
2022-06-23 Add Keyboard Navigation and TTS to Text Coloring addon
2022-06-17 Added keyboard navigation and TTS to Audio Playlist
2022-06-17 Fixed TTS in Text Gaps not reseting index after quitting Keyboard Navigation
2022-06-17 Fixed TTS Dictionary not being parsed after lesson template update
2022-06-10 Changed playback speed text in Audio
2022-06-09 Added placeholder to Paragraph Keyboard addon
2022-06-09 Changed Media Recorder TTS text for stop recording
2022-06-09 Added keyboard navigation and TTS to Crossword
2022-06-06 Removed redundant blank lines for paragraph
2022-06-02 Fixed editing gaps in Table
2022-06-02 Fixed Assessments Navigation Bar not adding "inactive" class
2027-06-01 Fixed color not being retained by the Text Coloring addon if you leave the page in check answers mode
2022-05-31 Fixed Crossword auto-navigation ignoring fixed word orientation
2022-05-31 Cross Lesson change logic with CheckUserAccess
2022-05-27 Fixed NextPageButton and PrevPageButton triggering click twice on moodle on iOS
2022-05-24 Fix display ZoomImage in mobile
2022-05-24 Fix Drawing.uploadImage command not working on Safari iOS
2022-05-20 Changed Show Answers property from single string to multiple correct answers in Addon Paragraph
2022-05-20 Block strict letters in Crossword
2022-05-20 TTS keyboard navigation no longer ignores disabled addons
2022-05-20 Add new property to CrossLesson addon - check access to cross lesson in LMS mCourser
2022-05-19 Fixed Crossword improper answers on Gradual Show Answers
2022-05-18 Added React to Script in the Automatic Feedback addon
2022-05-16 Added an event when Editable Window is closed
2022-05-13 Added Show Answers property to Paragraph Keyboard
2022-05-13 Implemented extended auto navigation for addon Crossword
2022-05-13 Fixed problem with unchecking in limited check and check combinations
2022-05-13 Added Audio support to Ordering Addon
2022-05-13 Add keyboard navigation and text-to-speech to Paragraph addon
2022-05-13 Fixed setAllPagesAsVisited command resetting previously visited pages
2022-05-12 Added Speech Text Dictionary to the Editor
2022-05-06 Add keyboard navigation and tts to editable window
2022-05-06 Fixed problem with printable version of Text module when audio added to text
2022-05-06 Fixed not working properly TTS in Text Selection addon when langAttribute not defined
2022-05-06 Fixed Text-selection not working properly with text formatting
2022-05-06 Added Audio support to Choice Addon
2022-04-26 Added File Sender addon
2022-04-21 Fixed Media Recorder removing recordings and resetting time on reset property
2022-04-19 Fixed too many Media Recorders blocking audio in Chrome
2022-04-12 Added ability to define CSS classes for Assessments navigation bar addon sections
2022-04-06 Fixed Paragraph not setting content properly on page change with show answers active
2022-04-06 Fixed problem with SourceList module
2022-04-04 Fixed Limited Hide Answers not un-clicking on Limited Check
2022-04-01 Fixed visible lines after hide and show\hide answers in Points and Lines addon
2022-04-01 Fixed commands to bookmark and unbookmark pages not visible in Assessments_Navigation_Bar addon
2022-04-01 Fixed Text with draggable gaps not able to fill gaps other than first with keyboard navigation.
2022-04-01 Changed Text-selection logic on clicks outside selectable elements
2022-04-01 Fixed Text-selection clicking between available selections with multiSelect selects both of them
2022-04-01 Fixed incorrect width of Connections middle column when images are present
2022-04-01 Fixed Paragraph not resetting properly during Limited Show Answers on Limited Reset
2022-04-01 Added keyboard navigation and tts to CrossLesson module
2022-03-29 Added keyboard navigation and TTS to Media Recorder
2022-03-14 Fixed video speed controls adding whenever reset was called
2022-03-14 Added TTS to Table of Contents
2022-03-04 Added SrtParser to commons. Added audio narration loading from SRT File to AddonAudio addon
2022-03-04 Added TTS and Keyboard Navigation support for links in the Text
2022-03-01 Added second hand to Clock Addon
2022-02-22 Added removing only incorrect answers in Coloring and Figure Drawing
2022-02-14 Add TTS to Assessment Navigation Bar
2022-02-11 Fixed remaining ErrorsMode in Single State Button
2022-02-02 Fixed Addon containing special chars in its ID
2022-01-28 HTMLEditor public with new feature - editable text field
2022-01-26 Fixed Media Recorder not recording/playing on mLibro on iOS devices 
2022-01-24 Fixed video addon progress bar issues on mobiles - fullscreen changed first click and offset between click and actual
2022-01-12 Added setAllPagesAsVisited command
2022-01-10 Fixed issue with module ids including non-letter/number signs
2022-01-04 Added new properties to youtube addon - time video starts and autoplay checkbox
2021-12-27 Fix visibility of TextColoring on reset and restoring by state
2021-12-20 Change audio format from wav to mp3 in MediaRecorder addon
2021-12-15 Added event on blur in Paragraph Keyboard addon
2021-12-14 Added audio speed controller to Audio Playlist
2021-12-14 Prevent from adding the dragging class to checked element in Multiple Gap
2021-12-14 Skipping image in keyboard navigation
2021-12-13 Added video speed controller to the Video
2021-12-09 Added nested addons
2021-11-19 Improve of Addon Coloring performance while reset on firefox
2021-11-17 Added audio speed controller to the Text Audio
2021-11-17 Added disabling of analyser in media recorder on safari due to conflicts with recorder
2021-11-16 Fixed behaviour of text gap when flag ignorePlaceholder is set and placeholder equals actual answer
2021-11-05 Add dontSendEvent param to select/deselect commands in Addon ImageIdentification
2021-11-05 Fixed popup absolute position according to absolute parent
2021-11-04 Separation of the help buttons in the Quiz addon
2021-11-03 Fixed reopening eKeyboard after closing on the ESC button clicked
2021-10-22 Fixed flashcard audio after finished record not returning to play state
2021-10-20 Add new characters to French ekeyboard and change it's order
2021-10-13 Fix dropdownClicked event received behaviour in Audio, TextAudio and Video addon
2021-10-04 Added support for method getOpenEndedContentForCurrentPage for addon Paragraph Keyboard
2021-10-01 Added tests for getState, setState and visibility
2021-09-29 Added tests for the printable version of Hierarchical Lesson Report
2021-09-29 Added functionality for the printable version of Hierarchical Lesson Report
2021-09-29 Added functionality for the printable version in preview of Hierarchical Lesson Report
2021-09-29 Added functionality to extract content information for Printable Controller
2021-09-28 Fix Filled Gap reset method
2021-09-27 Added in paragraph destructor stop function called by timeout from setIframeHeight method
2021-09-24 Fixed a bug causing lessons to not start in edesk
2021-09-15 Added a new property for SingleStateButton that allows clicking in show answers mode
2021-09-09 Added support for printable state for text selection
2021-09-09 Added tests for printable state in text selection
2021-09-09 Added support for printable check answers state in text selection
2021-09-09 Added support for printable show user answers state in text selection
2021-09-09 Added printable state for text selection
2021-09-08 Fixed incompatibility bug in getState and setState between versions
2021-09-03 Fix bug with no event on stop recording android mLibro
2021-09-01 Fix GSA not working in Text module
2021-08-31 Add ScoreWithMetadata API
2021-08-24 Fix bug with eKeyboard going to next input
2021-08-18 Fixed bug that always gave 100% score or sent end of game event when Hangman addon was in Show Answers mode
2021-08-16 Add Gradual Show Answer to Point and Lines addon
2021-08-11 Add GSA mode for Coloring addon
2021-08-09 Add GSA mode for Memo Game addon
2021-08-04 Add clear visited pages property to lesson reset
2021-08-02 Add GSA mode for Text Coloring addon
2021-07-30 Add getOpenEndedContentsForCurrentPage to PlayerServices
2021-07-28 Added keyboard navigation and TTS to Quiz
2021-07-27 Fixed bug that audiodescription in Chrome doesn't stop video
2021-07-22 Add removeAllBookmarks command and tests to Navigation bar addon
2021-07-12 Added math editor in popup property to WIRIS addon
2021-07-12 Fixed Editable Window allowing for resizing of images when editing is disabled
2021-07-09 Fixed Editable Window replcing it's content with a textbox after page change
2021-06-24 Added support for printable state in Table
2021-06-18 Added headers to Table TTS
2021-06-17 Fixed issue with Text gaps connected to Math addon when leavinh Show Answers mode
2021-06-17 Hotfix GradualShowAnswer respect null argument (for usage in private addons)
2021-06-14 Fixed TTS failing when text is too long
2021-06-09 Fixed too long event handling blocking redrawing of the Coloring addon on Firefox
2021-06-07 Fix eKeyboard getting triggered by clicking on the audio gap
2021-06-07 Added support for printable state in Text addon
2021-06-07 Added support for printable state in Connection
2021-05-28 Fix width and height space for floating images in IWBToolbar
2021-05-25 Added support for printable state in ordering
2021-05-24 Added support for printable state in Choice addon
2021-05-21 Added support for printable state in text identification
2021-05-20 Added "enable undo/redo buttons" property in IWB Toolbar
2021-05-20 Change the way text works in the Drawing addon to support multiple lines
2021-05-19 Added docs and missing label for SkipLink
2021-05-18 Fixed not being able to use audio element in multiplegap using keyboard navigation
2021-05-11 Added undo-one button to IWB Toolbar
2021-05-11 Fix communication between IWBToolbar and Scoreboard
2021-04-29 Added Support for printable state in Image Identification
2021-04-29 Added SkipLink module
2021-04-22 Add zip file property for Iframe addon
2021-04-21 Scoreboard documentation
2021-04-19 Added Support for text and image in Drawing addon
2021-04-13 Added notifier for save
2021-04-13 Added externalVariables
2021-04-07 Added disable new page message property to the Text To Speech addon
2021-04-07 Fixed no correct loading from state for addon table when drop down
2021-04-07 Added TTS support in Audio addon
2021-04-06 Added TTS support in Lesson Reset module
2021-04-02 Fixed issue with IWB Toolbar button selection
2021-04-02 Added TTS support in Limited Check module
2021-04-01 Added TTS support in multiplegap
2021-03-30 Fixed reading Chrome browser version on android
2021-03-29 Implementation of audio files export
2021-03-29 Fixed issue with empty spaces at the end of a print page
2021-03-26 Add new addon Scoreboard
2021-03-25 Added scriptable button to IWB Toolbar
2021-03-25 Fixed issue with images breaking pagination in print
2021-03-24 Added support for regex when used useNumericKeyboard in addons
2021-03-22 Added support for setPages in printable
2021-03-18 Increased maximum time in addon Media Recorder
2021-03-18 Removed display of placeholder text after show and hide
2021-03-15 Fixed table stretching in print
2021-03-15 Added show and hide for Crossword
2021-03-15 Fixed numeric TextBox for iPad
2021-03-15 Fixed Test Puzzle error on firefox when entering a page in show errors mode
2021-03-15 Fixed numeric TextBox for iPad
2021-03-09 Fix Gradual Show Answers addon to work properly with Check Ansers button
2021-02-24 Add Text property to Multiaudio addon
2021-02-22 Added Enable in error checking mode property to Media Recorder
2021-02-11 Fixed show answers and check sending unneeded events
2021-01-25 Change gradual show answers addon name and labels
2021-01-21 Fixed dropdown gaps not sending events in Text module when user action events is set to true
2021-01-20 Add gradual show answers mode
2020-12-17 Fixed stretching of Connection addon and added draggable gap support in Text for print
2020-12-03 Fixxed issue with font size of printable lessons
2020-11-27 Added playback rate control to the Audio addon
2020-11-26 Fixed issue with assessmentUser==teacher being overrriden by student's state
2020-11-26 Added WCAG support for TextAudio
2020-11-25 Added support for assessmentUser metadata in Assessment Navigation Bar
2020-11-20 Changed randomizeLesson in Assessment Navigation Bar to override addon state
2020-11-19 Add new property for SingleStateButton which allows clicking in error mode.
2020-11-17 Added support for randomizeLesson metadata in Assessment Navigation Bar
2020-11-13 Fixed issue with isAttempted disabling ShowErrors mode in Fractions
2020-11-12 Removed gap wrapping in Text
2020-11-02 Added gaps not breaking from text that is directly adjacent to it in Text and Table 
2020-11-02 Fixed issues with navigation in assessment navigation bar.
2020-11-02 Fixed issue with opening popup page with YouTube addon
2020-10-27 Fixed issue with AudioPlaylist on iOS
2020-10-23 Fixed issue with setting pages as nonreportable by adaptive learning service
2020-10-22 Remove allOK event from Text
2020-10-22 Fixed problem with null elements in LineNumber after getState call
2020-10-15 Fix issue with assessments navigation bar and specific pages selected
2020-10-14 Add new addon AudioPlaylist
2020-09-25 Add possibility to reset only wrong answers.
2020-09-22 Added queuing commands to Connection when it is being loaded, fix issue with getting state of loading connection
2020-09-18 Added handling situation where Assessment Navigation Bar had more pages than lesson
2020-09-18 Added getNarration command for Audio
2020-09-15 Added new properties for ValueChanged event and added method for injecting eventbus for addons
2020-09-15 Added possibility for creating adaptive lessons
2020-09-11 Fixed state of marker tool in IWB Toolbar not being saved
2020-08-17 Added property to Assesment Navigation Bar for switching off the randomization
2020-07-21 Changed icon of YouTube addon
2020-06-26 Changed the way lesson score is rounded
2020-06-20 Add checking if gap is audio gap
2020-06-19 Add getresponseindex to commands in Feedback addon
2020-06-17 Fix page weight in utils.
2020-06-08 Added checking if event item is null in MultiAudio
2020-06-04 Modified youtube addon to use new mauthor api
2020-06-02 Fix problem with page size when static footer is enabled
2020-05-26 Fixed issue with Paragraph when the default layout is not the initial one
2020-05-15 Fixed numeric gaps displaying a warning when a fraction is inputed
2020-05-06 Added draggable items interface for multiaudio and support for it in multiplegap
2020-04-21 Added resetPage and resetPageByName commands
2020-04-17 Changed enabled youtube addon to work regardless of api quoata
2020-03-05 Fix issue with XML entities in dropdown gap breaking show answers
2020-03-05 Added HTML IDs to Choice options
2020-03-04 Added maintain state property to Limited Check addon
2020-02-10 Add new property for Lesson Progress to enable refreshing view on page load
2020-01-07 Lock only addons which are set in config in eKeyboard addon.
2019-12-12 Added use numeric keyboard property to Basic Math Gaps, Table, Text and Writing Calculations
2019-12-09 Fix problem with Basic Math Gaps and jQuery copy.
2019-12-09 Fix problem with show answers and Image Gap module
2019-12-06 Fix problem with LinkInfo to page
2019-12-05 Fixed issue with updating links in text leading to their previous address
2019-12-04 Fixed issues with echo on FireFox, events on Edge and suspended analyzer on Chrome in Media Recorder addon
2019-11-27 Add new property to Basic Maths Gaps: User action events.
2019-11-22 Fixed issues with text from draggable gaps dissapearing when dragged out of text
2019-11-18 Fix problem with static footer and page size
2019-11-18 Fixed issues with Slovak letters in crossword
2019-11-08 Fixed issues with module group visibility
2019-11-08 Added modules metadata.
2019-11-08 Add alt text support for SourceList
2019-11-05 Added isAttempted command to Text Coloring.
2019-11-05 Remove side effect from getState in paragraph module.
2019-11-05 Remove hideAnswers in getState, getScore and getErrorCount in table addon.
2019-10-30 Fixed Slider working incorrectly when inside overflow: auto
2019-10-29 Added Count Errors property to Text Coloring
2019-10-29 Added clearing Catch addon objects on page change.
2019-10-29 Fixed getting readable text in Text module
2019-10-28 Fixed issues with scaling of multiplegap
2019-10-24 When table is not activity or does not have gaps, then return true in isAttempted
2019-10-24 Fixed problem with animation and transparency.
2019-10-23 Fixed error in destroy method in IWB Toolbar module
2019-10-18 Fixed styles in Flash Cards module
2019-10-17 Fix problem with hideAnswers in getScore, getErrorCount, getState in multiple gap addon
2019-10-16 TrueFalse is not hidding show answers during getState
2019-10-16 Remove hideAnswers from getState in ordering module.
2019-10-14 Optimize drawing frames in Animation addon
2019-10-11 Added isAttempted command to Table.
2019-10-10 Added TTS support to Slider
2019-10-10 Fix for moveToFrame command in Image Vierwer not calling tts
2019-10-09 Added destroy method and fixed getting state in Slideshow module
2019-10-09 Add destroy lifecycle management for modules. Use destroy in IWB addon. Fix problem with DropDown gap and disable. Remove hideAnswers from getState in Text module.
2019-10-07 Fix Coloring issue when the first layer is not default
2019-10-07 Fixed issues on Edge and mlibro
2019-10-03 Fixed TTS reading Image Viewer alt text after entering a page
2019-09-27 Fix ImageViewerPublic model upgrade.
2019-09-26 Fixed disabling Image Gap module
2019-09-23 Added TTS support to Image Viewer
2019-09-17 Added a new text property for controlling how gap size attribute is calculated
2019-09-17 Added TTS support to the Animation addon
2019-09-13 Fixed TrueFalse showAnswers method when correct answers are empty.
2019-09-11 Added handling of online video files when offline
2019-09-10 Fixed getState breaking Swiffy Animation addon
2019-09-05 Added loading CSS styles to Editable Window
2019-09-04 Fixed IWB Toolbar zoom working incorrectly in iframe
2019-09-02 Fixed problem with fullscreen in iframe addon
2019-08-26 Added getter for Content metadata. Added SCORM passed/failed statuses.
2019-08-20 Added alt text support to text identification
2019-08-12 Fixed problem with editable window with audio on IE, EDGE, FIREFOX
2019-07-31 Blocked the download audio in Editable Window module
2019-07-26 Fixed scrolling while dragging the Slider on mobile devices
2019-07-26 Fixed issue with the values of newly added properties being overwritten
2019-07-26 Fixed opacity in Editable Window module
2019-07-22 Removed the ability to download the video in editable window
2019-07-19 Added supporting of only audio to Editable Window
2019-07-15 Fixed problem with editable window with video on IE
2019-07-11 Fixed test - position of IWB toolbar in fullscreen mode
2019-07-11 Fixed position of IWB toolbar in fullscreen mode
2019-07-04 Added translations for Sejer to Paragraph and Editable Window
2019-07-03 Changed structure of a Editable Window
2019-06-27 Fixed saving and closing notes on mobile devices in IWB Toolbar module
2019-06-19 Fixed anchors in Editable Window
2019-06-11 Fixed issue with Report when multiple pages have the same name
2019-06-11 Fixed issue with background color in show answers mode of Text Coloring
2019-06-10 Fixed issues with editable window position centering. Disallow moving the window outside of document.
2019-06-07 Added fullscreen option to editable window.
2019-06-04 Added property to disable or enable editing in popup in Editable window module
2019-05-23 Added title to a ediatble window custon addon
2019-05-14 Fixed issue with setState in Audio on Mobile Safari
2019-05-10 Fixed setting iframe height in Paragraph module
2019-05-10 Added reset button, limited width and limited colors in Editable Window
2019-04-18 Fixed issue with isAttempted command in Paragraph
2019-04-18 Fixed issue with pause command in video only being available from AC scripts
2019-04-17 Added audio to text module
2019-04-17 Fixed sorting on mobile devices in Ordering module
2019-04-16 Added new custom addon editable window
2019-04-11 Fixed issue with the dotted button in Navigation Bar and added Block not visited pages property
2019-04-10 Added setContextMetadata to player API
2019-04-10 Added lock and unlock commands and weight property in Paragraph and Paragraph Keyboard modules
2019-04-04 Added 'no audio' option to the slideshow addon
2019-04-04 Fixed calculating max score in Choice module
2019-04-02 Fixed setting isEnable property in Text Audio module
2019-04-01 Added refreshing mathjax in filled gap in Text module
2019-04-01 Added bookmarks to Navigation Bar
2019-03-13 Fixed issue with dropdown gap editor when 'keep in order' is disabled
2019-03-12 Fixed setting state in Basic Math Gaps module
2019-03-06 Fixed problem with not selectable placeholder text in filled gap after reset command
2019-03-04 Added showAnswers, hideAnswers, enable and disable commands in True False module
2019-02-28 Fixed problem with setting state in Text Audio module
2019-02-26 Added Manual grading and Title properties in Paragraph and Paragraph Keyboard modules
2019-02-21 Fix for problem with dissapearing Source List items after drag stop
2019-02-08 Fixed adding selectable characters in word in Text Coloring
2019-01-31 Added starting values to connection modules
2019-01-28 Fixed problem with recreating gaps on show command
2019-01-22 Fixed getting error count in Shooting Range module
2019-01-21 Added disable and enable commands for TextAudio addon
2019-01-14 Added new addon Limited Submit
2019-01-14 Fixed a model in media recorder addon
2019-01-14 Added a end of game event to a shooting range addon
2019-01-14 Fixed setting state in Coloring module
2019-01-14 Fixed the problem of latex reloading in a quiz addon
2019-01-11 Added disable enable commands to Media Recorder addon
2019-01-10 Fixed view shift on mobile devices in Points and lines, Connecting dots, Coloring
2019-01-10 Added commands to Text, Ordering, Image Gap and Choice
2019-01-10 Changed the behavior of the point counter in a Catch addon
2019-01-04 Fixed setting player controller in Shape Tracing module
2019-01-02 Added command isOK to a connection addon
2018-12-21 Fixed a rerendered mathjax of text module
2018-12-19 Fixed reseting after using setText command in Text module
2018-12-17 Fixed ekeyboard paragraph loading on the first page of mCourser
2018-12-17 Fixed mathjax calls
2018-12-12 Fixed shape tracing scaling on mobile devices
2018-12-11 Upgraded tinymce library
2018-11-28 Fixed media recorder on safari mobile devices and mLibro
2018-11-28 Fixed reset issue in Shooting Range
2018-11-27 Fixed issues with inline display: none in multiple addons
2018-11-21 Fixed toolbar and added color pickers in Paragraph module
2018-11-09 Fixed hyperlinks in feedback
2018-11-05 Added alt text to audiodescriptions in video
2018-11-05 Fixed static header and footer positioning when in scaled iframe
2018-11-02 Added removal of MathJax "End Process" hooks after modules detach
2018-10-25 Fixed problem with loading math jax
2018-10-25 Added new addon audio recorder
2018-10-22 Grouping modules into a div
2018-10-16 Hierarchical lesson report add maxscore link
2018-10-16 Added property Plate Image in Catch module
2018-10-15 Fixed iFrame visible in the editor when the hide option is enabled
2018-10-12 Shooting range impoving the game.
2018-10-11 Removed sending ValueChanged with value removed on stopping item drag in multiplegap
2018-10-10 Added disable dragging property in Ordering
2018-10-09 Fixed scoring in multiplegap when incorrect answers are present
2018-10-09 Fixed problem with setState in shooting range module
2018-10-08 Fixed issue with show answers in Text Selection when Limited Check is used
2018-10-05 Fixed issue with MathJax in eKeyboard and Text when the first layout is not default
2018-10-03 Added setText in Paragraph
2018-10-02 Fixed isAttempted method in not activity mode in True False module
2018-09-27 Changed mouse and touch control scheme in Catch addon
2018-09-24 Fixed issues with scoring in multiplegap
2018-09-24 Added missing split page label
2018-09-19 Fixed issue with decimals in Math
2018-09-19 Unifed visiblity settings in preview for multiple addons
2018-09-17 Fixed issue with Audio progress bard
2018-09-17 Fixed conflict CSS of modules
2018-09-14 Removing semi word from translations labels and API calls.
2018-08-24 Fixed problem with hiding audio descriptions in Video module
2018-08-23 Added 'Enable scroll on mobile' property in Text Identification module
2018-08-17 Added show answer class for individual words in Text Coloring.
2018-08-17 Fixed Double_State_Button native navigation.
2018-08-13 Fixed Choice disable command on mobiles
2018-08-10 Added audio descriptions to the video addon
2018-08-10 Fixed displaying of < > buttons in assessments navigation bar
2018-08-07 Fixed layout change issue after quiting fullscreen mode
2018-08-06 Fixed issues with tests for page version update
2018-08-03 Fixed playing Video without controls bar
2018-08-03 Added Copy Page Settings to Page properties
2018-08-03 Changed is visible property so that it's common for all layouts
2018-07-31 Fixed PieChart's display on Desktop devices
2018-07-26 Removed reading " connected" when in Show Answer Mode in TTS
2018-07-25 Added test mode in quiz
2018-07-23 Added module sorting in editor
2018-07-20 Fixed issues with invalid model in Crossword addon
2018-07-18 Replaced Video Tutorials button with Interactive Tutorials
2018-07-18 Fixed Scrolling on a Page in TTS
2018-07-17 Added Phrase Selection Mode to Text Coloring
2018-07-17 Fixed coursor position in GridScene
2018-07-13 Fixed next() and previous() methods in MultiAudio addon
2018-07-13 Fixed fullscreen on iPad
2018-07-13 Fixed restartGame command in Shooting Range
2018-07-12 Removed Byte Order Mark from polish dictionary
2018-07-10 Added Games category
2018-07-10 Added scrolling to the active module in keyboard navigation
2018-07-10 Added TTS support for Image Gap
2018-07-09 Added TTS support for gaps in Table
2018-07-06 Added TTS support for Double State Button
2018-07-06 Added TTS support for Memo Game
2018-07-04 Fixed setting of working mode in text coloring addon
2018-07-04 Fixed calculation of popup elements position
2018-06-29 Fixed several issues between TTS and NVDA on Firefox
2018-06-27 Fixed autofill option for TTS
2018-06-26 Fixed identification of expression variables in math addon
2018-06-25 Added feature to color individual letters in text coloring addon
2018-06-25 Fixed visibility of the element dragged from the gap
2018-06-22 Fixed problem with pseudo code console on IE11
2018-06-20 Added Autofill option for TTS
2018-06-18 Added a caching of the video posters
2018-06-15 Changed labels for Limited Show Answer addon
2018-06-15 Added TTS support for Text Selection
2018-06-14 Added new addon Limited Show Answers
2018-06-05 Added TTS support for Table cells
2018-06-05 Moved pausing on getState to destroy method in media addons
2018-06-04 Fixed issues with TTS handling of the Dropdown gap in Text module
2018-05-28 Fixed issues with hover style in reset button on mobile
2018-05-28 Fixed issue with TTS in multiplegap after reset
2018-05-28 Added TTS support for Image Identification
2018-05-25 Added a test to check for special character handling in text coloring
2018-05-24 Fixed conflicts between WCAG mode and NVDA
2018-05-24 Added TTS support for Zoom Image
2018-05-21 Added TTS support for Heading
2018-05-15 Fixed several issues with choice module on mobile devices
2018-05-15 Fixed cell-show-answers class name in gamememo
2018-05-15 Added class on hover in TrueFalse addon
2018-05-14 Added TTS support for alt texts of images in multiple modules/addons
2018-05-11 Added keyboard shortcut for changing the page in player
2018-05-09 Fixed problems with static footer display when chaning layouts. Fixed problems with footer width after orientation change.
2018-05-08 Fixed issues with eKeyboard in Popup.
2018-05-07 Fixed issues with special characters in Text module gaps.
2018-04-27 Fixed problem with saving choice feedback property.
2018-04-27 Added TTS support for Hierarchical Lesson Report
2018-04-26 Fixed issues with spacebar in keyboard navigation
2018-04-26 Added TTS support for feedback addon
2018-04-26 Added TTS support for Image Source and Multiple gap
2018-04-24 Fixed problem with != statement in math module
2018-04-24 Fixed problems with hovering classes and executing actions in button modules.
2018-04-24 Added show and hide commands to Page Counter addon.
2018-04-24 Fixed problem with size of popup
2018-04-23 Added 'Enable scroll on mobile' property to the Text Selection addon
2018-04-18 Fixed problem with check answers mode of gaps in the Table addon
2018-04-17 Fixed problem with empty XML tag in page progress configuration
2018-04-16 Fixed problem with CORS in popup addon.
2018-04-13 Added option to select the language used in gaps ant alt texts in Text, Choice, Connection and Ordering modules
2018-04-12 Fixed problem with <> symbols in Text draggable gap
2018-04-11 Fixed problem with video on IE 11
2018-04-09 Fixed a problem with WCAG mode sometimes turning off on page change.
2018-04-03 Fixed problem with rotating ruler in IWB Toolbar module.
2018-03-28 Added property to vertically center the answer in Quiz module. Added headers-of-answers class to posibility to style headers of answers in Quiz module.
2018-03-28 Added checking for permissions to modify top window in glossary
2018-03-26 Added classes while checking answer in Pseduo Code Console. Fixed problem with exceptions translations in pseudo code console.
2018-03-23 Added game mode to board game. Added new addon dice. Added validation utils.
2018-03-22 Added "video-poster-pause" CSS class to "video-poster-play" element on pause and removing it on stop
2018-03-20 Fixed problem with eKeyboard removing event handlers
2018-03-20 Fixed problem with showing answers in gaps
2018-03-20 Added calling show answer on enter press event
2018-03-20 Added keyboard navigation to Text Selection addon
2018-03-19 Added Alt Text in Text, Ordering, Connection and Choice modules
2018-03-16 Added current-page class in icon+list display type in Table of Contents module
2018-03-13 Added new property - "Is Disabled" to Image Identification module
2018-03-13 Added TTS support for Navigation Bar
2018-03-13 Added TTS support for Page Counter
2018-03-13 Added fix in Page Progress Panel
2018-03-12 Added minus errors scoring type for modules group
2018-03-09 Fixed problem with TrueFalse module and undefined model field.
2018-03-09 Added Page Progress Panel module
2018-03-08 Fixed problem with zooming after page change in when using Navigation Bar and Paragraph.
2018-03-07 Fixed tests for pseudo code console and webpack build script.
2018-03-07 Static list property returns objects not lists. Added pseudo code console.
2018-03-06 Fixed problem with & in text selection
2018-03-06 Fixed problem with scrolling and page look with static header on
2018-03-05 Fixed problems with scaling in Popup
2018-03-05 Better handling of the editor page loading error
2018-03-05 Added Timer addon
2018-03-02 Fixed problem with scaling in Connection addon
2018-03-02 Added property to set ordering items to starting position
2018-03-01 Fixed problem with gap parsing with opening tag character
2018-03-01 Fixed problem with opening gaps on mobile devices in eKeyboard module
2018-02-28 Fixed problem with restoring state in video addon
2018-02-28 Fixed problem with hover in iOS
2018-02-27 Added localization for alt-text in some modules and layout in eKeyboard
2018-02-27 Renamed Hierarichal Lesson Report property
2018-02-23 Readded works with property in Page Progress.
2018-02-22 Changed when Text has no gaps it does not require escape to deactivate in WCAG navigation
2018-02-21 Added TTS support for Reset button
2018-02-21 Added TTS plays the title of the new page
2018-02-20 Added Page mapping ids translations, Size and ModuleDimensions equals implementations
2018-02-20 Added TTS support for SHow Answers Button
2018-02-15 Added TTS support for the Text's Draggable Gap
2018-02-15 Added TTS support for Check Answers Button
2018-02-15 Fixed issue with scaling in Figure Drawing on mobile devices
2018-02-14 Fixed issue with reseting module in Catch module
2018-02-13 Fixed issues with Glossary scaling on mobile devices
2018-02-13 Fixed problem with resolving url in inline css
2018-02-12 Fixed Catch addon double click behaviour on mobile devices, paddle is always appearing and can't run past right edge of screen. Also simulation is paused on show answers and checks answers, and it calculates max score.
2018-02-12 Deselecting Double State Button on the end of Multiaudio track connected via Audio Binder.
2018-02-09 Fixed dragging out elements from Draggable Gap.
2018-02-09 Fixed speak and playTitle commands in TTS addon
2018-02-07 Added attribute role in TrueFalse for screen reader apps.
2018-02-06 Fixed issues with scaling in Drawing
2018-02-01 Fixed issue with saving empty inlineStyles or classStyles.
2018-01-30 Added alt text for images added by RichTextEditor and for Memogame.
2018-01-30 Fixed Double State Button not activating on keyboard input.
2018-01-29 Fixed Image gap and multiplegap not getting image source alt text
2018-01-26 Fixed addon TrueFalse now only adds text as checkbox alt text
2018-01-24 Fixed addon TrueFalse not being read correctly by NVDA
2018-01-23 Fixed url resolving for modules
2018-01-23 Fixed Choice chosen element not reseting
2018-01-23 Fixed tests in TTS and Text Identification
2018-01-23 Added tabindex in Image Identification, Image Source and Text Identification
2018-01-23 Added TTS functionality
2018-01-19 Puzzle addon allows drag'n'dropping elements; fixed showing correctness marks for many puzzle addons at once; now it sends valueChanged event
2018-01-18 Added item handling of MultiAudio in Multiple Audio Controler Binder
2018-01-18 Fixed events in LearnPen Data module
2018-01-17 Fixed player start with subset of pages from exported lesson.
2018-01-17 Fixed reading data in LearnPen Report module
2018-01-15 Added time labels property for video addon.
2018-01-10 Fixed problem with saving and restoring modules xml.
2018-01-10 Fixed deselects the selected widget when showing errors, correct answer, or resetting
2018-01-09 Fixed setting enable tabindex property
2018-01-05 Added Do not block in check mode property to DoubleStateButton
2018-01-04 Fixed issue with too large coordinates in Coloring
2018-01-04 Fixed showing system keyboard for eKeyboard on mobiles.
2018-01-03 Fixed inline-css error with not unescaping apostrophe
2018-01-03 Fixed problem with opening popup.
2018-01-03 Fixed problem with moving to next gap in eKeyboard module
2017-12-28 Added possibility to define many layouts for lesson depending on device threshold
2017-12-22 Fixed tests in Video module
2017-12-22 Added initial configuration in Blockly Code Editor module
2017-12-22 Fixed showing cards and images in Memogame module
2017-12-14 Fixed performance issues with preloading images for preview mode in Animation module
2017-12-13 Fixed popup scrolling
2017-12-13 Fixed managing tabindex property
2017-12-12 Fixed Text coloring that was producing additional clickable elements
2017-12-06 Fixed navigating in gaps
2017-12-06 Added custom events handling and using /file/serve files from mCourser with no_gcs flag
2017-12-05 Added Enable tabindex property and changed default value.
2017-12-01 Added setVideoURL command for video addon.
2017-11-27 Added tabindex for text.
2017-11-23 Double State Button can be activated with enter/space when cycling through modules using browser's tab navigation
2017-11-22 Fixed Ordering module that could crash browser when two items were added and "don't generate correct order" was selected
2017-11-22 Fixed log2 operation in Fractions module
2017-11-15 Added alternative text property in Image Source, Image Identification, iFrame and Multiplegap modules
2017-11-14 Fixed problem with math gaps in Text when changing page quickly.
2017-11-09 Added commands to fire keyboard navigation
2017-11-09 Added Tabindex property for next part of modules.
2017-11-09 Added show play button for video addon. Added setVideoURL command for video addon.
2017-11-06 Fixed problems with Magic_Boxes view.
2017-10-31 Added Tabindex property for modules. Added tabindex handling for Choice, Connection, TrueFalse, Ordering and Memo.
2017-10-31 Fixed problem with adding scroll handlers in IWB Toolbar.
2017-10-23 Fixed problem with defining functions in math. Fixed problem with calling build in functions in math.
2017-10-23 Added keyboard navigation in Table of Contents module
2017-10-16 Added sending events on select and deselect and corresponding property.
2017-10-16 Load button for list property in editor showed only for iframe module.
2017-10-12 Fixed test configuration in Quiz module
2017-10-12 Fixed bug with TextAudio still playing sound after closing popup with it
2017-10-11 Fixed Programming Code Prompt module - enter now creates a new line.
2017-10-11 Added property to Ordering module, which disallows generating a correct ordering by random.
2017-10-11 Fixed problem with errors in console in iFrame module
2017-10-11 Added new addon Quiz
2017-10-10 Added alternative name styling property in Hierarchical Lesson Report.
2017-10-09 Added closed panel drawing property in IWB Toolbar module
2017-10-05 Added shooting range addon.
2017-10-05 Added language attribute in Text module and lesson
2017-10-05 Fixed problem with too large page index
2017-10-02 Fixed imageSource that got position zeroed when called reset() on it after PageLoaded event
2017-10-02 Fixed problem with jumping video. Fixed problem with poster visibility.
2017-10-02 Fixed problem with showing glossary popup in present view.
2017-10-02 Fixed problem with auto play in Video module
2017-09-29 Removed gap definition from html attributes in text module
2017-09-28 Fixed accessing window.top properties
2017-09-28 Fixed random order in Choice module
2017-09-26 Added sendMessage command in iFrame module
2017-09-25 Added alternative text and keyboard navigation in Zoom Image module
2017-09-22 Fixed Assessments Navigation Bar page selecting and added keyboard navigation. Changed keyboard navigation in Navigation Bar.
2017-09-22 Added new addon Catch
2017-09-19 Added notification about setting header/footer.
2017-09-18 Setting individual header and footer for pages.
2017-09-15 Removed changing controls visibility in glossary addon
2017-09-15 Added alternative text property for video and image
2017-09-14 Fixed events problem in eKeyboard and devices with touchscreen and mouse
2017-09-14 Added new addon Heading
2017-09-12 Fixed problem with dragging in source list.
2017-09-11 Added ended event for animation addon
2017-09-11 Fixed problem with preview and Slideshow. Fixed problem with playing slideshow without loaded audio.
2017-09-04 Added WCAG support for Image Gap and Image Source
2017-09-04 Fixed problem with multiple calling WCAG on elements. Added WCAG for Image ID.
2017-08-31 Added WCAG support for Table.
2017-08-29 Added message watcher for listening on keydown event outside iframe for WCAG
2017-08-25 Added WCAG support for Image ID
2017-08-25 Added full support for WCAG in Text module
2017-08-24 Added WCAG support for Multiplegap
2017-08-23 Fixed problem with disabling source list by Limited check. Removed commons.js from repository. Added to addons tests building commons.js.
2017-08-22 Fixed problem with using chars and numbers in math addon.
2017-08-22 Added to audio force loading audio. Upgraded sinon to 2.4.1.
2017-08-17 Fixed problem with scaling popup
2017-08-14 Added go to last visited page for previous page button.
2017-08-14 Fixed problem with default keyboard navigation in browser while using player keyboard navigation
2017-08-14 Added keyboard navigation for Single State Button and Double State Button. Fixed keyboard navigation for addon buttons.
2017-08-14 Added keyboard navigation for ordering module.
2017-08-14 Removed unnecessary text from SVG2 addon.
2017-08-10 Added keyboard navigation (WCAG) for connection addon.
2017-08-09 Added gotoCommonPageId, setHeaderVisibility, setFooterVisibility commands for player.
2017-08-09 Fixed problem with double mathjax rendering in ordering module.
2017-08-08 Added keyboard navigation (WCAG) to Source List module and draggable gaps in Text module
2017-08-08 Added WCAG for GotoPageButton.
2017-08-04 Added EOG event for Hangman addon
2017-08-04 Added keyboard navigation and timer feature to Memo Game module
2017-08-04 Fixed problem with different display of math gaps in editor and player.
2017-07-31 Fixed problem with eKeyboard open command.
2017-07-28 Added option for sorting assets in select file window.
2017-07-26 Fixed problem with empty stroke width property in fractions addon.
2017-07-25 Added Increment mistake counter property for Show Answers.
2017-07-25 Fixed popup size when page bigger than window size.
2017-07-25 Changed default video control bar to custom control bar. Fixed problems with subtitles in fullscreen in video.
2017-07-24 Added new mode do fractions addon to dividing square. Refactored fractions addon.
2017-07-18 Fixed popup close event.
2017-07-17 Added video current time event.
2017-07-11 Added command execute for reset button module.
2017-07-10 Fixed selecting text while dragging slider. Fixed dragged slider position.
2017-07-07 Added Wrap Items property to multiplegap module
2017-07-05 Fixed problem with tests which are using gwt classes
2017-06-29 Fixed problem with using apostrophe in gaps
2017-06-19 Fixed problem with custom events in Source list
2017-06-08 Fixed problem with dropdown gaps in Text module
2017-06-06 Fixed issue with scoring in Text module, added escaping pattern in gaps.
2017-06-05 Fixed problem with using eKeyboard in Text module. Added build files to gitignore.
2017-05-29 Fixed scoring and error counting in Text Presenter for dropdown gaps.
2017-05-26 Added new commands: setAsReportable nad setAsNonReportable for page.
2017-05-25 Fixed problem with checking answers in Hangman module
2017-05-22 Fixed Image Source module issue with show command and relocating module to 0,0 position
2017-05-22 Fixed problem with relative url returned by getPreview on localhost
2017-05-12 Added new display type icons+list in Table of Contents module
2017-05-11 Fixed propagating click in Image identification module
2017-05-09 Fixed resizing iframe in Paragraph eKeyboard module
2017-04-27 Changed url for image in eKeyboard module
2017-04-26 Fixed tests in Iframe, shape_tracing addons.
2017-04-24 Fixed loading images in Shape Tracing and Coloring
2017-04-24 Added sending event after closing popup page
2017-04-20 Added commands to get and set scroll value from iframe.
2017-04-19 Added playing, stop, end, pause events for slide show addon.
2017-04-12 Added dontMoveModules parameter to outstretchHeight command.
2017-04-07 Added allow fullscreen property to iFrame addon.
2017-04-04 Added changes in Variable Storage module
2017-04-04 Fixed adding hovering class in Reset module
2017-04-04 Added changes in page list.
2017-04-04 Fixed problem with reseting module after closing Popup in Paragraph module
2017-04-03 Fixed problem with not initialized eKeyboard while calling eKeyboard command.
2017-03-29 Fixed getting state in Paragraph module
2017-03-29 Fixed scrolling screen on iOS in Drawing module
2017-03-29 Added counting score from provided modules in Limited Check module
2017-03-27 Removed unused logo library
2017-03-27 Fixed problem with Z-Index in Programming Command Prompt
2017-03-23 Fixed removing chapters
2017-03-21 Added changes to PieChart module
2017-03-21 Changed getting parent chapter
2017-03-16 Added missing labels
2017-03-16 Added full screen mode and disable full screen property in YouTube module
2017-03-15 Fixed resetting bookmarks and added moveToPreviousPage and moveToNextPage commands in Assessment Navigation Bar module
2017-03-13 Added filled gap in Table module
2017-03-10 Fixed problem with zoom on iPhone in Paragraph module
2017-03-08 Fixed test in Table module
2017-03-08 Fixed tests in Math and Table modules
2017-03-08 Fixed rendering LaTeX in draggable gaps in Table module
2017-03-03 Fixed executing code after checking, showing and resetting answers in Grid Scene module
2017-03-02 Added current-page class in Table of Contents module
2017-03-02 Fixed working in popup in eKeyboard module
2017-02-27 Fixed expressions with white spaces in Math module
2017-02-27 Added showCloseButton command in eKeyboard module
2017-02-24 Fixed parsing expressions in Math module
2017-02-24 Fixed scoring when placeholder text is the same as correct answer in Text module
2017-02-24 Fixed removing hover styles in Popup Button module
2017-02-23 Fixed highlighting text in Text Audio module
2017-02-21 Added show answers mode in Puzzle module
2017-02-21 Added math.js library and fixed problem with calculating expressions
2017-02-16 Fixed displaying current page in Navigation Bar module
2017-02-15 Added icon display type in Table of Contents module
2017-02-15 Fixed static header and footer
2017-02-06 Updated ekeyboard labels in dictionaries.
2017-02-02 Fixed static header and footer with outstretch height and in fit to window and full screen modes
2017-02-02 Added Works with property in Page Progress module
2017-02-02 Added show/hide commands in Writing Calculations module
2017-02-02 Added enable/disable button/command in eKeyboard. Fixed changing focus by eKeyboard. Fixed open command in eKeyboard. Changed Esc button action in eKeyboard. Updated jquery.keyboard.min.js.
2017-01-31 Added setting text parser in Table module
2017-01-24 Added events for drawing commands in Grid Scene module
2017-01-24 Fixed problems on iPad in Paragraph module
2017-01-24 Fixed saving changes in Choice module
2017-01-16 Fixed display bug in animation module on android 5.1.1 and 5.0.2
2017-01-16 Fixed isVisible property on Safari in Iframe module
2017-01-11 Added Enable pages property in Hierarchical Lesson Report module
2017-01-11 Fixed problem with updating additional styles and displaying pages in Navigation Bar module
2017-01-04 Fixed rendering LaTeX afetr showing answers in Math module
2016-12-29 Fixed issue with doubled events in Table module
2016-12-29 Fixed saving state of drawings in IWB Toolbar
2016-12-22 Added Animated gif refresh property in Layered Image module
2016-12-20 Fixed counting score after showing answers in Math module
2016-12-19 Fixed counting score after showing answers in Writing Calculation module
2016-12-14 Removed random values from report when stylus is of in LearnPen Report module
2016-12-12 Added Open external link in property in Glossary module
2016-12-01 Added confirmation box in Reset module
2016-12-01 Added refreshing animated gifs in Image module
2016-12-01 Fixed problems with coloring ans saving state in Text Coloring module
2016-11-24 Fixed problem with dragging in Clock addon.
2016-11-24 Added multiple answers in filled gap.
2016-11-23 Added outstretch height command to player controller
2016-11-22 Added looping in Video module
2016-11-21 Fixed refreshing animated gifs in Layered Image module
2016-11-21 Added isAttempted command in Paragraph module
2016-11-17 Added continous events in Clock module
2016-11-17 Fixed calculating max score in Choice module
2016-11-16 Removed unicode special characters from Shape Tracing comments
2016-11-08 Fixed width calculating in Table addon.
2016-11-03 Fixed showAnswer, setShowErrorMode bugs in Grid Scene addon.
2016-11-03 Added Blockly Code Editor addon. Fixed bugs in Grid Scene. Added property Editable Select and Select for list.
2016-10-27 Added hiding answers after reset in Image Gap module
2016-10-27 Fixed operating on module in popup page in Connection and eKeyboard modules
2016-10-27 Fixed setting space after punctuation marks in Text Coloring module
2016-10-26 Fixed problem with saving state in Paragraph module
2016-10-25 Fixed issue with setting element to invisible module in Multiplagap module
2016-10-24 Fixed saving and closing notes in IWB Toolbar
2016-10-21 Fixed issue with pen and marker tools in IWB Toolbar module
2016-10-07 Added new addon Text Coloring, added new commons ErrorUtils and fixed SAO depedencies
2016-10-04 Added getText command in Paragraph module
2016-09-29 Fixed setting state in Paragraph module
2016-09-27 Fixed displaying animation with transparent background in Animation module
2016-09-26 Added events on pause and pause command in Audio module
2016-09-21 Added test from Programming Code Prompt
2016-09-21 Added Progamming Code Prompt addon. Added Grid Scene addon. Added static list property.
2016-09-21 Fixed issue with moved droppable area in Connection module
2016-09-21 Fixed setting gap size in Table module
2016-09-19 Fixed issue with missing arguments in function in Paragraph addon
2016-09-19 Added default property to addons: Table, Puzzle, feedback, PieChart, TrueFalse, TextAudio, MenuPanel, MultiAdui, Text_Selection, Variable_storage, text_identification, Double_State_Button, WrittingCalculations, Single_state_Button, SelectableAddonsBinder, Multiple_Audio_Controls_Binder
2016-09-14 Added new property buttons width and buttons number in Assessments Navigation Bar addon
2016-09-08 Fixed checking pages scores in Navigation Bar module
2016-08-30 Fixed issue with relative urls in css and eKeyboard styling
2016-08-30 Added function addonIsLoaded to Content, Fixed bug with thumbnail in YouTube Addon
2016-08-30 Added hiding subtitles in Video module
2016-08-29 Fixed problem with Player crashes when properties "static header" / "static footer" are marked and lesson doesn't have header / footer
2016-08-24 Added notification functions and pages limit to Content.
2016-08-19 Updated tinymce library from version 4.0b2 to 4.4.0, fixed memory leaks issues in Paragraph and Paragraph_eKeyboard
2016-08-18 Fixed ant build scripts issues with paths for Ubuntu platform
2016-08-18 Added fetching all libraries in 1 reuqest, addons xml loaded in 1 request
2016-08-11 Added exchange URL to scheme-less URL in addon descriptor factory
2016-08-09 Added new addon IFrame
2016-08-04 Added Target type property in External Link Button module
2016-08-03 Fixed displaying viewBox in SVG module
2016-08-03 Fixed checking answers in Memo Game module
2016-08-02 Added compiled Commons library in version 4.0.0 to icplayer libs
2016-08-02 Removing loading-screen from commons
2016-08-01 Added new property to keep wrong marks in Memo Gama module
2016-08-01 Fixed displaying coordinates in editor in Line Selection module
2016-07-27 Fixed problem with removing listeners in Source List
2016-07-27 Fixed problem with sending events in Page Score Counter module
2016-07-27 Fixed displaying watermark in Image Viewer module
2016-07-22 Fixed memory leaks in TextAudio and Audio module
2016-07-21 Fixed issue with static footer when lesson is in iframe
2016-07-19 Fixed issue with https in Vimeo module
2016-07-13 Added removeWrongColors command in Connection module
2016-07-08 Added dragging line in Connection module
2016-07-07 Added show/hide commands in Memo Game module
2016-07-06 Fixed issue with displaying score in Hierarchical Lesson Report
2016-07-06 Fixed issues with static header and footer
2016-07-04 Added positioning to Popup button
2016-06-29 Removed sending event from drawRange commend from Line Number module
2016-06-20 Added property Single Connection to PointsLines module
2016-06-16 Fixed Memo Game crash in KeepAspect Image Mode
2016-06-15 Added keyboard navigation to TrueFalse module
2016-06-13 Added scrolling window to active module in keyboard navigation
2016-06-10 Added ValueChange Event to ZoomImage module
2016-06-07 Added fixes to Fraction Binder modules
2016-06-07 Added commend disable do Connection module
2016-06-07 Added new version of Figure Drawing module
2016-06-06 Improved usability of CrossWord addon
2016-06-02 Fixed issue with LearnPen_Report fetching data from drawing addons
2016-06-02 Added Remove dragged element property to Connection module
2016-06-01 Added allOK event and command in Math module
2016-06-01 Added disable/enable commands in Image Identification module
2016-06-01 Added disable/enable commands in Text Identification module
2016-06-01 Added parsing rendered definition gaps to gaps syntax
2016-06-01 Fixed tests in Video module
2016-06-01 Fixed problem with setting poster on Firefox in Video module
2016-05-30 Fixed sending allOK event in Crossword module
2016-05-25 Added parsing for views of gaps in editor
2016-05-23 Fixed adding empty class to wrong element in Text Identification module
2016-05-23 Added playing event in Audio and Video modules
2016-05-18 Added reseting poster before adding new one in Video module
2016-05-18 Added showPopup and closePopup commands
2016-05-13 Added new addon Hierarchical Table of Contents
2016-05-13 Added User action events property in Text module
2016-05-10 Added class on hover in Image Identification module
2016-05-10 Fixed issue with indexing pages in DIsable Score Pages in HLR module
2016-05-09 Added show/hide commands in Text Identification module
2016-05-06 Fixed rendering LaTeX in draggable gaps in Text module
2016-05-05 Optimized state in IWB Toolbar
2016-05-04 Fixed setting popup position
2016-05-04 Added blocking wrong answers in Image Identification module
2016-05-04 Added new event to CrossWord adddon - CorrectWord
2016-04-26 Fixed issue with hide answers in Multiplegap module
2016-04-26 Fixed issue with sending event in Submit module
2016-04-25 Added blocking wrong answers in PlotsLines module
2016-04-25 Fixed issue with non displaying coordinations in PointsLines module
2016-04-25 Added blocking wrong answers in MultipleGap module
2016-04-22 Added blocking wrong answers for editable gaps in Text module
2016-04-22 Fixed tests in Crossword module
2016-04-21 Added Color correct property in Coloring module
2016-04-19 Added blocking wrong answers in Crossword module
2016-04-19 Fixed memory leaks in IWB_Toolbar module and added destroy method to zoom.js
2016-04-19 Added property weight to page
2016-04-18 Added blocking wrong answers in Image Gap module
2016-04-18 Added blocking wrong answers in Connection module
2016-04-14 Added blocking wrong answers in Text Identification module
2016-04-14 Added blocking wrong answers in Text module
2016-04-13 Fixed rendering latex in Text module
2016-04-11 Added sending continuous events and stick steps in Slider module
2016-04-08 Fixed dragging element in Ordering module
2016-04-08 Added french layout to Paragraph
2016-04-08 Added list and combo views in Table of Contents module
2016-04-07 Added exporting report to file in Print Report module
2016-04-07 Added Reset, CheckAnswers and ShowAnswers to Keyboard Navigation
2016-04-07 Added method getModulesAsJS to player's API
2016-04-06 Fixed tests in Table module
2016-04-06 Fixed issue with inserting Image_Viewer module
2016-04-06 Fixed issue with changing gap width in editor in Table module
2016-04-05 Fixed issue with showing module when lesson is in iframe in Glossary module
2016-04-04 Fixed issue with appearing native keyboard in eKeyboard module on Android
2016-03-30 Fixed issue with droppable gaps in Text module
2016-03-24 Added new module Variable Storage
2016-03-21 Fixed scrolling and text wrapping on iOS in Paragraph module
2016-03-18 Added displaying current date in Print Report module
2016-03-18 Fixed issue with class after changing page in Table module
2016-03-18 Fixed issue with variables in Math module
2016-03-18 Added isAllOK command to Writing Calculation module
2016-03-17 Added labels for showing documentation in editor
2016-03-16 Added show and hide methods in Magic Box module
2016-03-16 Added mode on and off to keyboard navigation
2016-03-15 Fixed displaying background in Memo Game module
2016-03-15 Fixed reseting axis values position in Plot module
2016-03-14 Fixed issue with reset in Audio module
2016-03-14 Added keyboard navigation
2016-03-10 Secured adding handlers for creating presenters
2016-03-09 Fixed issue with inline styles
2016-03-07 Added loading all dictionaries.
2016-03-04 Fixed zoom in IWB Toolbar module
2016-03-04 Added setting last page as separated page in Navigation Bar module
2016-03-03 Fixed memory leaks in Audio module
2016-03-03 Fixed memory leaks in TextAudio module
2016-03-03 Fixed issue with id selector in Text module
2016-03-01 Fixed memory leaks in Text with draggable gaps, Source List and Show Answers
2016-03-01 Added ignoring inline styles
2016-03-01 Added positioning of values on x and y axis in Plot module
2016-02-24 Fixed displaying ranges after reset in Animated Page Progress module
2016-02-22 Added possibility to define smaller steps in Line Number module
2016-02-17 Added setting first page as cover in Navigation Bar module
2016-02-15 Added reading values only from canvas in LearnPen Report module
2016-02-10 Changed page name in dictionary
2016-02-10 Fixed displaying alert in Advanced Connector module
2016-02-10 Added isAllOK method and event in Text Identification module
2016-02-10 Fixed Check mode and Show Answers mode in Text and Writing Calculations modules
2016-02-04 Fixed getting error count in Hangman module
2016-02-03 Fixed setting state in Basic Math Gaps module
2016-02-03 Fixed issue with printing graphical backgrounds in Print Report module
2016-02-02 Added adding class during video playback in Video module
2016-02-01 Fixed issue with setting state in Multiple Audio Binder module
2016-01-27 Fixed issue with adding video source to addon model
2016-01-27 Fixed issue with removing module in group
2016-01-25 Added global state in Show Answers module
2016-01-20 Fixed adding class when page score is 100% in Navigation Bar module
2016-01-19 Fixed issue with Keep Original Order mode and dropdowngaps in Text module
2016-01-19 Fixed issue with Source List and Text gaps in Text module
2016-01-18 Fixed issue with double ShowAnswers execution in Multiplegap module
2016-01-18 Added new module Print Report
2016-01-18 Fixed test in LearnPen Report module
2016-01-15 Changed default values of correct range in LearnPen Report module
2016-01-15 Fixed changing module ID
2016-01-14 Fixed issue with show answers and check mode in Text module
2016-01-13 Fixed issue with dragging when check mode is on in Ordering module
2016-01-12 Fixed issue with dragged elements and them scores in MultipleGap module
2016-01-12 Added Blocked Lines property in Point And Lines module
2016-01-11 Added custom event on uncheck in LimitedCheck module
2016-01-11 Added pause command to MultiAudio
2016-01-08 Added property Empty Answer to Math module
2016-01-08 Added graduated score to Ordering module
2016-01-08 Added select and deselect commands in Line Selection module
2016-01-07 Fixed issue with Video on Chrome
2016-01-07 Added isAllOK command to Fractions module
2016-01-07 Added isAllOK command to Graph module
2016-01-05 Fixed problem with MathJax in Table module
2016-01-05 Added horizontal layout property to Choice module
2015-12-23 Fixed problem with reseting visibility in Text Selection module
2015-12-21 Added image modes in Memo Game module
2015-12-18 Fixed problem with stopping audio on mLibro in Audio module
2015-12-17 Fixed error messages in Standard Shapes module
2015-12-16 Fixed tests in Shape Tracing
2015-12-16 Added displaying coordinates in editor in BoardGame, PointsLine, LineSelection, FigureDrawing and ConnectingDots modules
2015-12-15 Fixed issue with slow drawing in Shape Tracing
2015-12-15 Fixed issue with rulers in editor
2015-12-15 Fixed problem withs Show Answers mode in TrueFalse module
2015-12-11 Added show and hide commands in Connection and TrueFalse modules
2015-12-10 Added optional parameter to isOrderCorrect function in Shape Tracing module
2015-12-10 Fixed setting item after reset and changing page in MultiAudio module
2015-12-09 Fixed issue with detecting boundaries is Shape Tracing
2015-12-09 Added new property Value type in Text module
2015-12-08 Added Time measurement feature to Player
2015-12-08 Added rulers handling
2015-12-08 Fixed issue with draggable gaps with LaTeX in Text module
2015-12-04 Added Is not activity and Enable more digits in gap properties in Writing Calculations module
2015-12-03 Fixed issue with Limited Check and Check in Basic Math Gaps module
2015-12-02 Added possibility of displaying page from commons
2015-12-01 Added math gaps in Table module
2015-11-30 Added ShowAnswers to Plot module
2015-11-27 Fixed issue with editor height in Paragraph module
2015-11-25 Added displaying coordinates in editor in Coloring and Shape Tracing modules
2015-11-24 Fixed issue with show answers mode in Choice module
2015-11-24 Fixed issue with displaying columns in Connection module
2015-11-19 Fixed issue with adding class in Image Identification module
2015-11-19 Fixed issue with class in draggable gap in Table module
2015-11-13 Added isAllOK event and command in Image Gap module
2015-11-10 Fixed issue with desktop browsers having mobile events in Image Identification, Shape Tracing, Drawing modules
2015-11-10 Fixed issue with incorrect values and visibility in LearnPen(Data/Report) module
2015-11-06 Fixed issue with allAttempted class in Assesment Navigation Bar module
2015-11-05 Fixed issue with zooming in Programmed Drawing module
2015-11-03 Added IsNotActivity property to MemoGame module
2015-11-03 Added changes to Clock module
2015-11-02 Added stop command to YouTube module
2015-10-30 Upgraded Swiffy library to version 7.4
2015-10-30 Added commend getColor(x, y) and property "Disable filling on click" to Coloring module
2015-10-30 Added sending event on click in Open Popup Button and Close Popup Button
2015-10-30 Added reset command in True False module
2015-10-30 Added new module Programmed Drawing
2015-10-30 Fixed displaying correct and wrong icons in Coloring module
2015-10-28 Fixed issue after drop gap to filledDraggableGap in Text module
2015-10-28 Added calling functionality by command in Lesson Reset module
2015-10-28 Fixed issue with checking attempted modules in Sumbit and Assesment Navigation Bar modules
2015-10-28 Added new command markGapAsEmpty to dropdowngaps in Text module
2015-10-26 Fixed displaying data on Firefox in Count and Graph module
2015-10-22 Fixed addon properties types (from file to audio and image). Introduced new property type - video
2015-10-22 Fixed styling module in Show Answers mode in Count and Graph module
2015-10-21 Fixed book view configuration
2015-10-19 Added new property Clear placeholder on focus to Text module
2015-10-15 Fixed issue with state in Assessments Navigation Bar module
2015-10-13 Added possibility move to common page in GoToPage Module
2015-10-12 Added disabled events configuration.
2015-10-09 Fixed displaying data in LearnPen Data module
2015-10-09 Fixed issue with active tools after changing lesson page in IWB Toolbar module
2015-10-09 Fixed sending notAllAttempted event in Submit module
2015-10-09 Added commands markOptionAs... and new classes on their execute to Choice module
2015-10-09 Added property Is not an activity in Count and Graph module
2015-10-08 Added commands show/hide in Submit module
2015-10-07 Fixed setting visibility and added new version of Swiffy library in Swiffy Animation module
2015-10-06 Fixed problem with displaying data in Graph module
2015-10-05 Fixed isAttempted action in Image Gap module
2015-10-05 Added isAllOK command to Table module
2015-10-05 Added support for calculating time that user spent on each page to PlayerUtils
2015-10-02 Fixed problem with displaying percentage score in LearnPen Report module
2015-09-30 Added increaseMistakeCounter command
2015-09-28 Added classes on show answers and show errors mode in Line Number module
2015-09-28 Added property Page Attempted in Assesment Navigation Bar module
2015-09-28 Fixed saving visibility in state after reset in Text module
2015-09-23 Fixed reading-out data from sensors in LearnPen Report module
2015-09-23 Fixed disabling gap after checking answers in Image Gap module
2015-09-22 Added handling reset in Page Rating module
2015-09-16 Fixed issue with checking answer in Is Equation mode in Basic Math Gaps module
2015-09-16 Fixed check mode and show answers mode connected with Math module in Table module
2015-09-15 Fixed problem with coloring empty dropdown gaps in Text module
2015-09-11 Fixed problem with disabled gaps in show answers mode in Text module
2015-09-11 Fixed problem with displaying page numbers on mLibro in Page Icon Toolbar
2015-09-11 Fixed problem with setting gap width in Table module
2015-09-09 Added changes to Sudoku, Fractions modules and added new module Fractions Binder
2015-09-09 Fixed issue with wrong range image after reset in Animated Lesson Progress
2015-09-08 Fixed issue with class on hover after reset in Image Identification module
2015-09-08 Added incrementing check counter in Show Answers module
2015-09-01 Fixed issue with earlier end of movie in Video module
2015-08-27 Fixed issue with draggable element in Text module
2015-08-25 Fixed issue with receiving state without droppedElements in Text module
2015-08-25 Added Show Answers mode in Hangman module
2015-08-25 Fixed getting maxScore by page name on page loaded event.
2015-08-24 Fixed problem with displaying initial image after reset in Animated Page Progress module
2015-08-21 Fixed problem with dragging in Slider module
2015-08-21 Fixed problem with checking answers in Basic Math Gaps and Table modules
2015-08-21 Added updating ranges on check in Animated Page Progress module
2015-08-21 Fixed sending score in event in Multiple Gap module
2015-08-20 Fixed adding classes to previous and next buttons in Navigation Bar module
2015-08-19 Added sending ValueChanged event in Limited Reset module
2015-08-19 Fixed issue with showing answers in check mode in Hangman module.
2015-08-18 Added navigating to page by number in Go To Page Button module
2015-08-18 Fixed issue with checking in not activity mode in Line Number module
2015-08-18 Updated Swiffy library to version 7.3.0
2015-08-13 Fixed issue with wrong position of draggable item in Source List module
2015-08-13 Fixed issue with error in setting state on mLibro in IWB Toolbar module
2015-08-13 Fixed issue with playing audio and video after clicking in dropdown button in Audio, TextAudio and Video modules
2015-08-12 Added handling draggable object with HTML structure and classes from Source List in Basic Math Gaps, Table and Text
2015-08-12 Added getting HTML structure and css classes from Source List in draggable object
2015-08-11 Fixed issue with adding images in Animated Page Progress module
2015-08-07 Added adding equals sign in Writing Calculation module
2015-08-07 Fixed issue with checking answers with white spaces in Basic Math Gaps module
2015-08-07 Fixed issue with checking answer in editor Preview
2015-08-04 Fixed issue with reseting and checking editable gaps in Basic Math Gaps and Table modules
2015-08-04 Fixed issue with closing bottom panel in IWB Toolbar module
2015-07-30 Fixed issue with errors when module is empty in Magic Boxes module
2015-07-29 Fixed issue with checking score in show answers mode in Animated Lesson Progress and Animated Page Progress modules
2015-07-29 Fixed issue with adding class on reset in Text module
2015-07-28 Added drag&drop feature in Table module
2015-07-28 Corrected mistakes in dictionary
2015-07-28 Added CSS classes to draggable gaps in Basic Math Gaps
2015-07-27 Fixed issue with checking score and show answers in Navigation Bar module
2015-07-27 Added group scoring
2015-07-27 Fixed issue with check mode in Graph module
2015-07-27 Added show answers mode in Graph module
2015-07-24 Added sending score in event data in Image Viewer module
2015-07-23 Added compiled Commons library in version 3.0.1 to icplayer libs
2015-07-23 Fixed issue that filled gap was not sending ItemReturned event on click with DraggableDroppableObject  in Commons (now in version 3.0.1)
2015-07-23 Fixed issue with error after reset and show answers in Limited Check module
2015-07-22 Added show/hide commands in YouTube module
2015-07-21 Fixed issue with alert on Safari Windows in Swiffy Animation module
2015-07-21 Fixed issue with wrong checking in Shape Tracing module
2015-07-21 Fixed parsing and styling in Text module
2015-07-21 Fixed issue with numerating gaps in Writing Calculation module
2015-07-21 Fixed unit tests in Text Audio & Text Selection modules
2015-07-20 Changed defining and parsing gaps in Show Answers in Math module
2015-07-16 Added new module Assessments Navigation Bar
2015-07-15 Added new module Board Game
2015-07-15 Added show answers mode to Math module connected with Text, Table and Image Gap modules
2015-07-10 Added selection by plotting in Magic Boxes module
2015-07-09 Fixed issue with wrong input in order property in Ordering module
2015-07-07 Added checking by words in Magic Boxes module
2015-07-06 Added drag&drop feature and fixed issue with events in isEquation mode in Basic Math Gaps module
2015-07-06 Added compiled Commons library in version 3.0.0 to icplayer libs
2015-07-06 Added StatefullAddonObject: State machine for check, reset, show/hide answers and fixed minor issues with DraggableDroppableObject in Commons (now in version 3.0.0)
2015-07-03 Added show and hide commands to Zoom Image module
2015-07-03 Added static header and static footer
2015-07-02 Added Assets Service
2015-07-02 Added new module Line Selection
2015-07-01 Added Horizontal Bar and reading out the data from the individual Squeeze sensors in LearnPen Report module
2015-07-01 Fixed issue with custom classes in Editor
2015-06-30 Fixed issue with dragging in multiple gap module
2015-06-26 Fixed issue with few Paragraphs with placeholders on the same page
2015-06-26 Fixed issue with reset in IWB Toolbar
2015-06-26 Fixed issue with displaying full screen image in Zoom Image module
2015-06-25 Added handling offline connection in YouTube module
2015-06-25 Fixed dragging on Windows 8 in Graph module
2015-06-24 Fixed issue with transparency on Check and Show Answers in Image Gap module
2015-06-24 Fixed issue with dragging in Sourcelist and Imagesource modules
2015-06-23 Fixed issue with controls on iPad in video module
2015-06-23 Added changes to Clock module
2015-06-23 Fixed issue with erasing in IWB Toolbar module
2015-06-23 Fixed issue with displaying addon in player and preview in Page Score Counter module
2015-06-18 Fixed issue with displaying uppercase letters in crossword module
2015-06-17 Added new module Selectable Addons Binder
2015-06-17 Fixed issue with MathJax in Memo Game module
2015-06-17 Added changes in Fractions module
2015-06-16 Added changes in Figure Drawing module
2015-06-16 Fixed issue with dragging in SourceList and ImageSource modules
2015-06-15 Added compiled Commons library in version 2.0.0 to icplayer libs
2015-06-15 Added DraggableDroppableObject: New object which is draggable and droppable - in Commons (now in version 2.0.0)
2015-06-12 Added new module Lesson Reset
2015-06-12 Fixed issue with dragging empty gap in Text module
2015-06-11 Added fillArea and clearArea command to Coloring module
2015-06-10 Fixed issue with returning item to the source in copy mode
2015-06-09 Fixed issue with dragging in Show Answers mode in Multiple Gap module
2015-06-09 Added new properties 'Number of repetitions' and 'ID repeated element'
2015-06-08 Fixed issue with scoring in Line Number module
2015-06-08 Added new property Don't show ranges to Line Number module
2015-06-08 Fixed issue with parsing HTML tags in Text Selection module
2015-06-03 Fixed issue with displaying eKeyboard in disabled gaps in eKeyboard module
2015-06-03 Fixed issue with missing signs in Text Selection module
2015-06-03 Added assetsService and handling SVG files in Image module
2015-06-02 Fixed issue with duplicating gaps when elements from Multiple gap are dragged in Editor
2015-06-02 Added new command isOrderCorrect to Shape Tracing module
2015-06-01 Added enable, disable commands and isDisabled property in Image Gap and Image Source modules
2015-06-01 Fixed issue with check and reset in Basic Math Gaps module
2015-05-29 Fixed issue with blocking scoring after show answers and reset in Connection module
2015-05-28 Added new way to close full screen image in Zoom Image module
2015-05-28 Added commutativy property to Writing Calculations module
2015-05-28 Added commands show and hide to Shape module
2015-05-27 Fixed issue with input align in Writing Calculations module
2015-05-27 Fixed issue with draggable element in editor in Ordering module
2015-05-27 Fixed adding custom classes in editor in IWB Toolbar module
2015-05-27 Fixed issue with text parsing and state in Text Selection module
2015-05-25 Fixed counting errors in Count and Graph module
2015-05-25 Fixed issue with ShowAnswers in SourceList module
2015-05-25 Fixed issue with changing frames in Image Viewer module
2015-05-22 Fixed issue with reset in ImageSource and SourceList modules
2015-05-20 Added new property gap type and drag feature in "Basic Math Gaps" module
2015-05-20 Fixed issue with nextStep command in Slider module
2015-05-20 Added isDelayed property to eventBus addEventListener API
2015-05-20 Added getModulesScore() command to Limited Check module
2015-05-20 Fixed issue with dragging element to the same MultipleGap
2015-05-20 Fixed issue with Reset in Coloring module
2015-05-20 Fixed issue with dragging to filled gaps Text and ImageGap modules
2015-05-19 Fixed issue with fire PageLoaded events from previous pages
2015-05-19 Added handling HideAnswers event in Show Answers module
2015-05-19 Fixed handling HideAnswers events in Choice and True/False modules
2015-05-19 Added new modules - Limited Check and Limited Reset
2015-05-19 Fixed issue with slider on Desktop in Slider module
2015-05-18 Fixed reporting individual page score in JavaScript API
2015-05-18 Fixed issues with isAllOk in Shape Tracing module
2015-05-13 Fixed issue with capturing events from all pages
2015-05-14 Added drag feature to elements dropped to modules: Text, ImageGap & MultipleGap
2015-05-14 Added handling draggable gaps in Table module
2015-05-13 Fixed issue with height of PagePopupPanel glass
2015-05-13 Fixed issue with adding custom class to panel in IWB Toolbar module
2015-05-12 Fixed issue with loading on iOS 8 in Count and Graph module
2015-05-11 Fixed visual issues after reset in Line Number module
2015-05-07 Fixed issue with ScoreType:first
2015-05-07 Added new events to Crossword module
2015-05-07 Added new property "Keyboard letters order" in Hangman module
2015-05-07 Fixed issue with reset button on IE and issue with missing labels in "memo game" module
2015-05-06 Fixed issue with scores and their view in Hierarchical Lesson Report
2015-05-06 Fixed issue with compatibility Drawing and IWB in IWBToolbar module
2015-05-04 Added Show Answers mode in Line Number module
2015-05-04 Changed names of classes in Check mode in Connection module
2015-05-04 Added Show Answers mode in Image Viewer module
2015-05-04 Fixed issue with Randomizing in Choice module
2015-04-30 Added drag&drop feature to Connection module
2015-04-30 Added Reset command to Puzzle module
2015-04-29 Added saving color and thickness after closing the tool in IWB Toolbar module
2015-04-29 Added 'correct' and 'wrong' classes in Check mode in Connection module
2015-04-29 Added LearnPen Data module
2015-04-27 Added reset command to Ordering module
2015-04-23 Fixed issue with button handlers in IWB Toolbar module
2015-04-23 Added property "Placeholder text" in Paragraph module
2015-04-23 Fixed issue with Show Answers in Not Activity mode in Text Selection module
2015-04-21 Fixed issue with math Gaps in Text module
2015-04-21 Fixed issue with ShowAnswers in Text module
2015-04-21 Fixed issue with parsing of mathgaps having editable syntax in Text module
2015-04-20 Fixed issue with moving slider on zoomed page in Slider module
2015-04-17 Fixed issue with gap causing crashing of Editor in Text module
2015-04-17 Added Italian language to eKeyboard module
2015-04-17 Fixed issue with rounding seconds in TextAudio module
2015-04-17 Fixed issue with showing boundaries in editor and scoring in Chrome in Shape Tracing module
2015-04-16 Fixed issue with isOptionSelected method for Random Mode in Choice module
2015-04-15 Fixed issue with parsing text in Text Selection module
2015-04-15 Deleted changes in css classes in Line Number module
2015-04-15 Added drag&drop feature to Ordering module
2015-04-15 Added property Hide default controls to Video module
2015-04-15 Added Is Not Activity property to Text Selection module
2015-04-14 Fixed issue with positioning axis elements and fixed issue with axis x values property in Line Number module
2015-04-14 Fixed issue with PopupPanelGlass in PopupPage
2015-04-13 Added sending event after pair matching in Memo Game module
2015-04-13 Fixed issue with rounding times in Text Audio module
2015-04-09 Fixed issue with random noises in LearnPen_Report module
2015-04-09 Fixed issue with state restoring in Shape Tracing module
2015-04-09 Fixed issue with label positions in full screen mode in Video module
2015-04-08 Added isAllOK method to Choice module
2015-04-08 Added possibility to add tips in Hangman module
2015-04-08 Fixed issue with css classes in Line Number module
2015-04-07 Fixed issue with hidden label in Video module
2015-04-04 Added new commands: descentsFromShape, numberOfLines, pointsMissed and getDirections to Shape Tracing module
2015-04-03 Added new Addon LearnPen Report
2015-04-02 Fixed issue with zoom on IE 10 in IWB Toolbar module
2015-04-02 Fixed issue with input restriction in eKeyboard module
2015-04-01 Fixed issue with eKeyboard cooperating with math gaps in eKeyboard module
2015-04-01 Fixed issue with allLinesDrawn() command and added styles for different modes in Figure Drawing module
2015-04-01 Fixed issue with draggable filledGap in Text module
2015-03-31 Fixed playing words in TextAudio while zooming using IWB Toolbard module
2015-03-31 Added getView() command to Shape module
2015-03-31 Fixed issue with crashing browser on iOS in eKeyboard module
2015-03-26 Fixed issue with setColor and nonremovable lines in Figure Drawing module
2015-03-26 Fixed issue with playing event on Android 5.0 devices in Multi Audio module
2015-03-25 Added Show slides property and positioning in Text Audio module
2015-03-25 Fixed drawing logic, double events and added setEraserThickness, setMarkerThickness commands in IWB Toolbar module
2015-03-23 Updated Google Swiffy library to ver. 7.2
2015-03-23 Added show() and hide() commands in Source List module
2015-03-23 Fixed issue with lines interpretation in Figure Drawing module properties
2015-03-20 Fixed issue with Chapters in Hierarchical Lesson Report module
2015-03-20 Added new controls in TextAudio module
2015-03-19 Added Figure Drawing module
2015-03-18 Added new area type and fixed issue with show answers in Coloring module
2015-03-17 Fixed issue with preview of editor in Hierarchical Lesson Report
2015-03-16 Added show() and hide() commands to Image Source module.
2015-03-16 Fixed issue with custom class in Check Answers module
2015-03-13 Fixed issue with mode Keep Aspect on IE9, 10 in Image module
2015-03-13 Fixed issue with sending events in Shape Tracing module
2015-03-12 Fixed issue with clicking on Android 4.4.2 in Image Identification module
2015-03-12 Fixed issue with playing audio on Firefox 19 in Slideshow module
2015-03-12 Fixed Show Answers mode in Table module
2015-03-11 Added show() and hide() commands to Multiple Gap module
2015-03-11 Fixed problem with reacting to ShowAnswers event in Multiple Gap module connected to Image Source modules
2015-03-09 Added reset command in Image Gap module
2015-03-09 Fixed issue with setting opacity, drawing and double lines in Android 4.1.1, 4.1.2, 4.2.2, 4.3, 4.4.2 in Shape Tracing module
2015-03-09 Fixed issue with restoring state in IWB Toolbar module
2015-03-06 Fixed issue with restoring state in older content that uses Fractions module
2015-03-06 Fixed issue with state in Double State Button module
2015-03-06 Fixed calculating results for just part of lesson in Hierarchical Lesson Report module
2015-03-05 Fixed issue with commands play/stop/next/previous in Slideshow module
2015-03-05 Fixed issue with using play command on iOS 7 and iOS 8 in Video module
2015-03-04 Fixed issue with double lines in Android 4.1.1, 4.1.2, 4.2.2, 4.3, 4.4.2 in Connection module
2015-03-02 Fixed issues with parsing HTML in Text Audio module
2015-02-27 Fixed issue with serving of mixed content by HTTPS and HTTP in YouTube module
2015-02-27 Fixed issue with keeping state disable/enable in filledGap in Text module
2015-02-27 Fixed issue with double lines in Android 4.1.1, 4.1.2, 4.2.2, 4.3 and 4.4.2 in Drawing module
2015-02-26 Added changes to Fraction module
2015-02-26 Added new commands moveTo, next, previous, play, pause, stop in Slideshow module
2015-02-26 Fixed issue with opacity in Drawing module
2015-02-25 Fixed issue with layout when LearnPen Drawing module is on page
2015-02-25 Added new command setEraserOff to Shape Tracing and Drawing modules
2015-02-25 Fixed issue with Step property in Line Number module.
2015-02-25 Added Show Answers to Sudoku module
2015-02-23 Fixed issue with disableGap command in Text module
2015-02-23 Added new command setOpacity to Shape Tracing and Drawing modules
2015-02-23 Added French special characters to eKeyboard module
2015-02-23 Fixed CSS styles in Hierarchical Lesson Report module
2015-02-23 Added new property "Y axis values" in Graph module
2015-02-23 Fixed displaying double image on Android in Viewer 3D module
2015-02-20 Changed loading gif size in Text Audio module
2015-02-20 Fixed issue with Show Answers in Dropdown gap in Text module
2015-02-19 Fixed problem with Show Answers in Image Gap module
2015-02-19 Fixed problem with Show Answers in Text module
2015-02-19 Fixed rendering LaTeX in Video module
2015-02-18 Fixed issue with working module on header in Animated Progress module
2015-02-18 Added property Is Click Disabled in Text Audio module
2015-02-18 Fixed rendering LaTeX in Double State Button module
2015-02-18 Fixed CSS classes in Connecting Dots module
2015-02-18 Added new property Keep state and position to IWB Toolbar
2015-02-17 Fixed translation of properties in Count and Graph and Basic Math Gaps modules
2015-02-17 Fixed setting visibility on IE9 in Double State Button module
2015-02-17 Fixed issue with vocabulary files in Text Audio module
2015-02-17 Fixed adding CSS classes in Shape Tracing module
2015-02-17 Added Show Answers to Multiple Gap module
2015-02-13 Fixed problem with changed visibility of drawing in IE9 and IE10
2015-02-12 Fixed opacity property name in Drawing module
2015-02-11 Fixed issue with playing vocabulary on second click in Text Audio module on iOS 8.1.3
2015-02-11 Fixed issue with playing wrong words on first try in Text Audio module
2015-02-10 Fixed parsing HTML in Text Audio module
2015-02-10 Added "Start from" property in Page Counter module
2015-02-09 Revert parsing HTML in Text Audio module
2015-02-09 Added Is Not Activity property in Hangman module
2015-02-09 Fixed counting score in Count and Graph module
2015-02-09 Fixed reacting to Show Answers events in Double State Button and Single State Button modules
2015-02-09 Added getView(), show() and hide() commands to Error Counter module
2015-02-06 Added parsing HTML in Text Audio module
2015-02-06 Fixed issue with Show Answer in Shape Tracing module
2015-02-06 Added new css class to Basic Math Gaps module
2015-02-06 Added Show Answers to Count and Graph module
2015-02-06 Added new property Signs to to Basic Math Gaps module
2015-02-05 Added translations for almost all remaining addons properties names
2015-02-05 Fixed problem with scaling enlarged image in Zoom Image module
2015-02-04 Changed icon and translated property names in Sudoku module
2015-02-02 Fixed PageProgress score alignment when command Show is executed after ShowErrosEvent
2015-02-02 Added getItem() command to Source List module
2015-01-29 Fixed swiping the slides in Slideshow module
2015-01-29 Added Menu Panel module
2015-01-29 Added new property Gap width to Basic Math Gaps module
2015-01-28 Added Show Answers to Memo Game module
2015-01-26 Added Show Answers to Text Identification module
2015-01-26 TextAudio supports play vocabulary from one merged audio file
2015-01-23 Added Show Answers to Connecting Dots module
2015-01-23 Fixed issue with Hide and Stand Area in IWB Toolbar
2015-01-23 Fixed issue with backward compatibility in IWB Toolbar module
2015-01-22 Added Show Answers to Magic Boxes module
2015-01-22 Added Show Answers to Shape Tracing module
2015-01-22 Changed visibility of drawing in IWB Toolbar module
2015-01-20 Added translations of addons properties names
2015-01-20 Fixed issue with ignore punctuation and accented letters in Text module
2015-01-19 Added translations of addons names
2015-01-16 Added show and hide commands to Ordering module
2015-01-16 Fixed sending multiple events after reset and coloring fields in Coloring module
2015-01-16 Moved zoom library code outside IWB Toolbar module
2015-01-14 Added new property Custom Display to eKeyboard module
2015-01-13 Updated Google Swiffy library to ver. 7.1
2015-01-13 Added show and hide commands to SVG module
2015-01-12 Added ability to choose starting point of presentation in Slideshow module
2015-01-12 Fixed double click effect on mobile devices in IWB Toolbar module
2015-01-09 Fixed Stand and Hide Area functions on mobile devices in IWB Toolbar module
2015-01-08 Fixed notes on mobile devices in IWB Toolbar module
2015-01-08 Added ShowAnswers to Fractions module
2015-01-08 Added ShowAnswers to Clock module
2015-01-07 Adapted tests to current module version in Video module
2015-01-07 Fixed issue with removing class disable on switching to work mode in TrueFalse module
2015-01-07 Adapted tests to current module version in Animated Lesson Progress module
2015-01-02 Adapted tests to current module version in LearnPen Data module
2015-01-02 Adapted tests to current module version in Custom Scoring module
2015-01-02 Adapted tests to current module version in Image Viewer module
2015-01-02 Adapted tests to current module version in Memo Game module
2015-01-02 Adapted tests to current module version in Page Rating module
2015-01-02 Adapted tests to current module version in Paragraph eKeyboard module
2015-01-02 Adapted tests to current module version in Coloring module
2015-01-02 Adapted tests to current module version in Paragraph module
2015-01-02 Adapted tests to current module version in Text Selection module
2015-01-02 Adapted tests to current module version in LearnPen module
2015-01-02 Adapted tests to current module version in MultiAudio module
2014-12-31 Fixed issue with visible state in Drawing module
2014-12-30 Fixed issues with SCORM local resources in navigation bar and External Link Button module when lesson is run with external Player
2014-12-30 Fixed issue with page preview URL pointing to SCORM local resource in navigation bar
2014-12-30 Fixed issue with hiding whole contents of Table Of Contents
2014-12-29 Fixed issue with URI pointing to SCORM local resource in External Link Button module
2014-12-29 Fixed issue with checking answers in not activity mode in Connection module
2014-12-29 Fixed issue with saving state in Slider module
2014-12-29 Fixed issue with saving state in Layered Image module
2014-12-29 Fixed issue with saving state in Image Viewer Button Controlled module
2014-12-29 Fixed problem with stopwatch in IWB Toolbar module
2014-12-29 Added new property Don't show pages to Table of Contents
2014-12-24 Added information to pay ettention to the correct linking resources
2014-12-22 Fixed issue with toggling bottom panels in IWB toolbar
2014-12-19 Fixed problem with jumping to the next gap in eKeyboard module
2014-12-18 Fixed calling commands on PageLoaded event in Layered Image module
2014-12-18 Fixed translation of event properties in Image Gap module
2014-12-18 Fixed problem with playing MultiAudio on iPad
2014-12-16 Fixed issues with zooming after deactivating Zoom feature and color and thickness panels visibility in IWB Toolbar module
2014-12-16 Fixed problem with moveToFrame command in ImageViewer addon
2014-12-11 Fixed formatting text with bolds, italics etc. in Text Selection module
2014-12-10 Fixed issue with changing audio on iOS and android in Multi Audio module
2014-12-08 Fixed issue with touch/mouse coordinates, issue with zoom and more in IWB toolbar
2014-12-03 Fixed problem with setting state in Image Viewer addon
2014-12-02 Fixed problem with getting score from Image Identification addon
2014-12-01 Added changes to Swiffy Animation module
2014-12-01 Fixed adding class navigationbar-page-ok in Navigation Bar module
2014-11-28 Fixed problem with animation in SVG format
2014-11-27 Added Show for pen and Show for marker properties in IWB toolbar
2014-11-27 Fixed problem with rewind to start movie in Android 4.1 in Video module
2014-11-27 Fixed problem with view of Text identification module in editor
2014-11-27 Fixed problem with rewind to start movie in Video module
2014-11-27 Added setPenColor and setDefaultPenThickness commands to IWB toolbar
2014-11-27 Fixed problem with jumpTo in Multi Audio module
2014-11-26 Fixed problem with hiding in Video module
2014-11-26 Fixed problem with images in Multiple gap and Image gap module
2014-11-24 Added Vocabulary audio files properties to Text Audio
2014-11-20 Added Fixed position property, changed displaying rulers and fixed double page view in IWB Toolbar module
2014-11-19 Player saves state of addons in header and footer
2014-11-18 Fixed problem with editor preview in Hierarchical Lesson Report
2014-11-17 Fixed problem with the second advent of Popup
2014-11-14 Fixed issue with skipping words in Text Audio
2014-11-13 Fixed problem with play action and ended event in Video module
2014-11-13 Added isAllOK method and allOK event in Hangman module
2014-11-12 New Player Commands: setNavigationPanelsAutomaticAppearance, showNavigationPanels, hideNavigationPanels
2014-11-06 Added new property "Individual fragment playback" to Text Audio module
2014-11-05 Fixed problem with isAttempted in Math module connected with dropdown gaps
2014-11-04 Fixed problem with saving visibility in Paragraph and Paragraph Keyboard modules
2014-11-04 Fixed problem with getting error Can not load page: null
2014-11-03 Added events "playing" and "stop" to Text Audio module
2014-11-03 Fixed setting width in IWB Toolbar module
2014-11-03 Added isAttempted method to Math module
2014-10-30 New Addon - Paragraph eKeyboard
2014-10-30 Fixed propagation of onclick event in Plot module
2014-10-29 Fixed highlighting text after clicking stop or reset in Text Audio module
2014-10-29 Fixed working IWB Toolbar module on iframe
2014-10-24 Added Event on select rate and method getRate() in Page Rating
2014-10-24 Added Show Answers to Pie Chart module
2014-10-24 Added Show Answers to Points and Lines module
2014-10-24 Added new properties: "Row classes", "Show max score field", "Show page score" and "Disable score on pages" to Hierarchical Lesson Report
2014-10-24 Fixed displaying IWB Toolbar in editor preview
2014-10-23 Fixed issue with pulling up collumns reduced to 0 on mobile devices in Graph module
2014-10-23 Fixed problem with autoplaying after click on text fragment in TextAudio module
2014-10-23 Added playing and end events to MultiAudio
2014-10-23 Fixed issue with zoom, note and displaying elements in IWB Toolbar module
2014-10-23 Fixed stopwatch on mLibro windows in IWB toolbar module
2014-10-21 Fixed problem with autoplaying in MultiAudio module
2014-10-20 Improved Spanish translations
2014-10-17 A return full functionality mouseMoveCallback in Graph module
2014-10-17 Fixed issue with pulling up collumn reduced to 0 in Graph module
2014-10-16 Fixed issue with double rendered LaTeX in Choice
2014-10-16 Added handling property Is Visible in IWB Toolbar module
2014-10-15 Added collaboration between crossword and eKeyboard modules
2014-10-13 Added stopwatch, clock and changed view of panel in IWB Toolbar module
2014-10-13 Added new property: Real-time navigationbar-page-ok to Navigation Bar
2014-10-13 Fixed issue with getting JS representation of Check Button module
2014-10-13 Fixed showing Layered Image module on IOS 8.0.2
2014-10-09 Fixed issue with symbols in dropdown gaps for Table module
2014-10-09 Fixed issue with double lines in Connection module
2014-10-09 Added new version of Swiffy Animation module and swiffy library.
2014-10-09 Added Show Answers to Crossword module
2014-10-08 Fixed issue with double lines in Connection module
2014-10-06 Removed console.log from Text module
2014-10-06 Added Show Answers to Table module
2014-10-06 Removed unused libraries
2014-10-06 Added Show Answers to Writing Calculations module
2014-10-06 Added Show Answers to Basic Math Gaps module
2014-10-03 Fixed problem with Connection in editor preview
2014-10-03 Fixed problem with apostrophes in gaps are being worked with eKeyboard
2014-10-01 Fixed problem with gaps being enabled regardless of initial configuration after Reset in Text module
2014-10-01 Fixed issiue with lines on Android 4.1.2 in Connection module
2014-10-01 Fixed issues with loading Adobe Edge Animation JavaScript Runtime in Edge Animation module
2014-10-01 Fixed problems with configuration in Paragraph module
2014-09-30 Fixed blocked gaps issue in response to ShowAnswers event in Text module
2014-09-29 Added blocking on Check in Coloring module
2014-09-29 Fixed activity in Show Answers mode in Coloring, Connection and Image Identification modules.
2014-09-29 Fixed problem with libraries and date in IWB Toolbar module.
2014-09-29 Fixed problem with Play button in Slideshow module after changing slides
2014-09-29 Fixed placement of Next and Report buttons in Navigation Bar module
2014-09-26 Fixed restoring user selection after CheckAnswers event in ShowAnswers mode in Text Selection module
2014-09-26 Fixed handling Reset event while in ShowAnswers mode in Ordering module
2014-09-26 Fixed double lines on Android.4.1.2 in Connection module
2014-09-26 Fixed showing on Android 4.1.2 in Glossary module
2014-09-25 Fixed ShowAnswers in Text module for all type of gaps
2014-09-25 Added disable to Choice module when in ShowAnswers mode
2014-09-24 Added toolbar separator support in Paragraph module ( | - pipe)
2014-09-24 Removed cut, copy & paste buttons from toolbar in Paragraph module
2014-09-24 Added new toolbar features in Paragraph module: forecolor and backcolor
2014-09-24 Fixed hiding toolbar when toolbar buttons are in more than one line in Paragraph module
2014-09-24 Loading content fixes in Coloring module
2014-09-21 Added library for Edge Animation module
2014-09-23 Added close button to Page Rating module
2014-09-23 Fixed issue with Navigation Bar on iPad with iOS8
2014-09-22 Fixed issue with Animation on iPads
2014-09-22 Fixed Connection module: hiding images does not occur anymore
2014-09-19 Fixed show answers in Text module
2014-09-19 Added new module: Pie Chart
2014-09-19 [IWB Toolbar] Unified date in notes, now notes appears always below panel
2014-09-18 Fixed problem with width and height in Ordering module
2014-09-17 Changed libraries to minified versions
2014-09-17 Fixed problem with doubled properties in Editor
2014-09-17 Fixed problem with loading progress circle in Editor
2014-09-17 Fixed problem with Player not loading in iframe embeded lessons
2014-09-16 [CheckAnswers] Fixed problem with backward compatibility checkAnswers modules
2014-09-16 Fixed problem with setting state in Multiple Gap module
2014-09-15 Fixed issue with loading resources on IE11 in Slideshow module
2014-09-15 Added "Custom toolbar" property to Paragraph module
2014-09-15 Fixed Image Viewer issue in mexican lesson
2014-09-15 Fixed eKeyboard issues on Android devices
2014-09-12 IWB Toolbar: fixed preview
2014-09-12 [Ordering] Added new property: Even width for all elements, to avoid problems with images in Safari
2014-09-12 IWB Toolbar: now you can hide unnecessary buttons
2014-09-12 Fixed problem with loading progress circle for other views than embed
2014-09-12 Fixed problem with propagation in IWB Toolbar module
2014-09-11 Changed time format in note in IWB Toolbar module
2014-09-11 Fixed problem with command stop on iPad in Text Audio module
2014-09-11 Fixed problem with double lines on Android 4.1.2 in Connection module
2014-09-11 Fixed drawing issue on Android 4.1.2 native browser in ShapeTracing module
2014-09-10 Changed Default Confirmation Alert Box to Custom in IWB Toolbar module
2014-09-10 Fixed drawing issue on IE 11 mobile browser in ShapeTracing addon
2014-09-10 Fixed drawing issue on IE 11 mobile browser
2014-09-10 Fixed drawing issue on Android 4.1.2 native browser
2014-09-10 Fixed reaction on Check button in Show Answers module and reaction on Show Answers in True False module
2014-09-10 Added show, hide and isVisible commands to Paragraph module
2014-09-08 Fixed isAttempted method in Coloring module
2014-09-08 Fixed performance issue in Drawing addon
2014-09-08 Added enabling letters selection in Text Selection module
2014-09-05 Fixed deselecting text after completion of audio
2014-09-04 Fixed calculating page and lesson scores in PlayerUtils
2014-09-04 Writing Calculation: fixed error in console.log
2014-09-04 IWB Toolbar: now you can change tooltip text in css styles
2014-09-04 Fixed problem with model validation in Connection module
2014-09-03 Fixed IWB Toolbar position from the left side of the screen
2014-09-03 Fixed lesson loading image position
2014-09-03 Removed unexpected behavior when some one types in some characters from standard keyboard and then clicked on any button in eKeyboard module
2014-09-02 Added random order properties to Connection module
2014-09-02 Added responding to Show Answers events in Coloring, Connection, Text, Image Gap, Image Identification, Ordering and Text Selection
2014-09-02 Fixed initial scoring in Puzzle module
2014-09-02 Fixed initial scoring in Coloring module
2014-09-01 Added getFooterModule() method in Player API
2014-09-01 Added sending events in Magic Boxes module
2014-09-01 IWB Toolbar: fixed problem with module not working on Internet Explorer 11
2014-09-01 IWB Toolbar: now the position of toolbar in Player is the as in Editor
2014-09-01 Added adding CSS class to page when page score is 100%
2014-09-01 Added getHeaderModule() method to icPlayer API
2014-09-01 Added isAttempted() to Ordering module commands (previously was only as presenter API)
2014-08-29 Fixed issue with Drawing on IE 11
2014-08-29 Changed eKeyboard CustomLayout property, added new property Lock Standard Keyboard Input, added Special Characters for 3 languages
2014-08-29 Added new library Sonic.js
2014-08-29 Fixed getting score in Puzzle module
2014-08-28 Added commands for setting scoring values in Custom Scoring module
2014-08-28 Changed the parent for the masks in IWB Toolbar
2014-08-28 Fixed reaction on methods isAttempted() in Completion Progress module
2014-08-28 Fixed saving state when "Is disabled" property is selected in Table module
2014-08-27 Fixed isAttempted command visibility in Ordering module in not activity mode
2014-08-27 Added isAttempted() command to Ordering module
2014-08-27 Fixed multiple issues with Page Score Counter module
2014-08-27 Added "Calculate in real time" property to Error Counter module
2014-08-27 Added new module: Lesson Score Counter
2014-08-27 Added new module: Page Score Counter
2014-08-27 Added new module: Lesson Error Count
2014-08-26 Added "Initial image" property to Animated Page Progress module
2014-08-26 Fixed isAttempted command visibility in Text module in not activity mode
2014-08-26 Added new module: Completion Progress
2014-08-26 Added new module: Animated Lesson Progress
2014-08-26 Added permutations (safari,ie9,gecko1_8,opera)
2014-08-26 Added isVisited() method to icPlayer API
2014-08-26 New gap type in Text module - filled gap
2014-08-26 Added libraries ydp and CreateJS
2014-08-25 Fixed bug with SlideShow plays when page is closed
2014-08-22 Fixed blocking options in ShowAnswers mode and clearing styles on HideAnswers event in True/False module
2014-08-22 Fixed handling HideAnswers event in Choice module
2014-08-22 Fixed triggering work mode in modules from Check Answers module when ShowAnswers event is fired
2014-08-22 Added responding to Show Answers events in Check module
2014-08-22 Added parsing item markups from Source List to Multiple Gap module
2014-08-21 Added new colors to IWB Toolbar
2014-08-21 Fixed video module not seeking to start after video eneded
2014-08-21 Added new method open(module_ID, input_index) to eKeyboard module
2014-08-21 Renamed Interactive Table to IWB Toolbar
2014-08-21 Added Gap max length property in Text module
2014-08-20 Added responding to Show Answers events in Text module
2014-08-20 Added Styles property to Navigation Bar module
2014-08-20 Added Random order property to Choice module
2014-08-20 Added new languages layouts to eKeyboard module
2014-08-20 Added API method getView to Table module
2014-08-19 Fixed drawing stand area nad hide area, some styling changes, new icons in Interactive Table
2014-08-18 Fixed drawing on mobile devices in Interactive Table module
2014-08-11 Added isAllOK() command to Magic Boxes module
2014-08-07 Fixed selecting issue in Line Number addon on Android 4.2.2 devices
2014-08-07 Added new module Interactive Table
2014-08-07 Fixed problem when video ended in full screen mode on Android native browser
2014-08-07 Fixed problem with page scroll when glossary popup appears in nested iframes
2014-08-07 Fixed problem with Popup module when appears in nested iframes
2014-08-06 Added responding to Show Answers events in Text Selection module
2014-08-06 Added new module: Animated Page Progress
2014-08-01 Added new property, "Random order", to Source List module
2014-08-01 Fixed LearnPen module name
2014-08-01 Added responding to Show Answers events in Choice module
2014-08-01 Added separate CSS classes for elements in show answers mode in True/False module
2014-08-01 Fixed problem with checking case sensitive answers in Table module gaps
2014-08-01 Extended TextParser service gaps API with additional options property
2014-07-31 Added isAllOK() command and AllOK event to Crossword module.
2014-07-30 Fixed text wrapping and removed problem with double scroll bars in Paragraph module
2014-07-30 Added possibility of custom styling each cell (via CSS styles and classes) in Writing Calculations module
2014-07-29 Fixed responding to Check Answers button in True/False module while it's set as not-activity
2014-07-29 Added isAllOK() command and AllOK event to Memo Game module.
2014-07-29 Added responding to Show Answers events in True/False module
2014-07-29 Added new module: Show Answers
2014-07-25 Added new module: Page Rating
2014-07-24 Added new module: Sudoku
2014-07-24 Added new command to Player Services - sendPageAllOkOnValueChanged()
2014-07-24 Added isAllOK() command to Ordering module
2014-07-24 Fixed problem with image size in Slider addon
2014-07-23 Added reset() command to Image Source module
2014-07-23 Fixed centering content in both Single View and Book View modes for Text Identification module
2014-07-23 Added support for drag & drop in Points and Lines module
2014-07-23 Added support for drag & drop in Connecting Dots module
2014-07-23 Added default HTML player to Audio addon
2014-07-22 Removed tooltip from Close popup Button module
2014-07-16 Crossword - setting position of a cursor to the end on the focus
2014-07-16 Fixed problem with Popup module when appears in iframe
2014-07-16 Fixed Writing Calculation scoring
2014-07-15 Fixed draggable elements on Win8 Mobile/IE10
2014-07-15 Fixed problem with page scroll when glossary popup appears in iframe
2014-07-14 New properties for cells in Table addon: CSS Class and CSS Style
2014-07-14 Fixed Text Audio module was hidding hightlighted text on pause
2014-07-11 Fixed Writing Calculation styling
2014-07-11 Fixed bug with True/False module scoring
2014-07-10 Fixed bug with removing elements from MultipleGap addon on Windows 8 mobile
2014-07-09 Fixed True/False module when checking answers after state was restored
2014-07-09 Fixed issue with scoring on some mobile devices in Text module
2014-07-09 Fixed bug with wrong events in Text module
2014-07-08 Fixed sliding effect in Image Viewer addon on Windows Mobile browsers
2014-07-08 Fixed sliding effect in Image Viewer addon on Internet Explorer 11
2014-07-07 Fixed issue with first click on Image Viewer addon
2014-07-07 Fixed loading cached image on Slider module on IE 10
2014-07-04 New addon - Zoom Image
2014-07-03 Fixed issue with scoring on some mobile devices in Text module
2014-07-03 Added parsing definitions in Connection module
2014-07-02 Fixed issue with Animation addon on Windows 8 Mobile devices
2014-07-02 Fixed issue with dragging and clicking on mobile devices in ImageViewer addon
2014-07-01 Adden new LearnPen addons: LearnPen Drawing and LearnPen Data
2014-06-25 Fixed touch behavior on Windows 8 Mobile in 3D Viewer addon
2014-06-24 Fixed Audio module on mLibro and Opera
2014-06-24 Fixed problem with poster on iPad in Video Addon
2014-06-16 Added listening on PageAllOk event in EventListener module
2014-06-16 New event PageAllOk
2014-06-16 Fixed selecting issue in Line Number addon on Android 4.2.2 devices
2014-06-11 Added command isAllOk() to Shape Tracing addon
2014-06-10 Fixed issue with text width in TextAudio addon
2014-06-10 Added support for touches on Windows 8 Mobile in Image Viewer addon
2014-06-10 Fixed issue with allOk event in Text Selection addon
2014-06-09 Fixed bug with TextAudio addon on Safari and Opera
2014-06-06 New addon - TextAudio
2014-06-06 Added support for touches on Windows 8 Mobile in Slider module
2014-05-28 Fixed issue with MathJax in Multiplegap addon
2014-05-26 Added command isAttempted to Text Selection addon
2014-05-26 Fixed issue with Video addon on IE
2014-05-23 Added isAttempted method to Multiplegap module
2014-05-23 Fixed wrong positioning of Glossary module in iFrame
2014-05-22 Fixed issue with states in Table addon
2014-05-22 Fixed issue with Slider not working on Firefox
2014-05-22 Fixed issue with doubled 3D Viewer addon on devices with Android 4.2.2
2014-05-22 Added command reset to SourceList addon
2014-05-21 Added possibility to style correct/wrong answers to Coloring module
2014-05-20 Fixed issue with states in Line Number addon
2014-05-16 Removed navigation pages for single page
2014-05-16 Fixed issues with states and reset in Done addon
2014-05-16 Fixed issue with Graph module on page change
2014-05-16 New Gap type: Math in Text module
2014-05-15 Added commands hide and show to Done addon
2014-05-12 Added commands setColor(color), setThickness(thickness), setEraserOn() and setEraserThickness(thickness) to Drawing addon
2014-05-11 Added isAttempted, setAttempted, isAllOK to Plot addon
2014-05-10 Choice returns max score on All ok event.
2014-05-08 New commands in Points and Lines addon: markAsCorrect, markAsWrong, markAsNeutral, isConnected, isEmpty
2014-05-08 Fixed problem with Coloring module not displaying coordinates in editor
2014-05-08 Fixed problem with check counter in report after reopening page
2014-05-07 Setting visibility of Feedback module on reset
2014-05-07 Fixed issue with True/False addon on Firefox mobile browser
2014-05-06 Added show/hide methods to Feedback addon
2014-05-06 Fixed problem with reading page name with special characters
2014-05-06 Fixed problem with dragging image source and source list while in editor mode
2014-05-05 Added ability to define constant letters in Crossword addon
2014-04-30 Fixed issue with custom events improper behaviour in Advanced Connector
2014-04-24 Popup button is active while in check answers mode
2014-04-23 Fixed issue with incorrect glossary widget position for Glossary addon placed in header/footer
2014-04-22 Fixed issue with slow response of Connection addon
2014-04-22 Fixed issue with correct answer mark for drop-down gaps in Table addon
2014-04-22 Fixed bug with selected page number in Table of Contents addon
2014-04-18 Removed restrictions to URLs in External Link Button
2014-04-16 Added MathJax \blank{} macro for Text module, which can be used for creating gaps in Math Expressions
2014-04-16 New addons Clock and Swiffy Animation
2014-04-16 New gap type - drop-down in Table addon.
2014-04-16 Added Is Not Activity property to Graph addon.
2014-04-10 Fixed selecting issue in Text Selection module in adroid 4.2.2
2014-04-09 Fixed issue with boundaries detection in Shape Tracing addon on iOS7 devices
2014-04-08 Ordering is always shuffled
2014-04-08 Prevented adding class .hover to elements, when tapping on mobile devices in Text Selection module
2014-04-07 Fixed issue with scoring in Shape Tracing addon
2014-04-04 Fixed issue with NaN scores in hierarchical lesson report. Improvement to chapter names formatting.
2014-03-31 Fixed bug in calculating scores in hierarchical lesson report
2014-03-31 Added parseGaps command to JavaScriptPlayerServices
2014-03-31 Added global style, fixing android highlight when focus on HTML element, to the Player
2014-03-31 Fixed bug with disable/enable in Coloring module.
2014-03-28 Fixed problem with checking answers when not all gaps were filled in Basic Math Gaps module
2014-03-28 Player API extended to switch pages by page id
2014-03-27 New module Done, it checks whenever all activities on the page has been attempted and button Submit has been pressed, then it sends 'Done' event
2014-03-27 Fixed issue with improper total lesson scoring in hierarchical lesson report.
2014-03-27 Score is saved by page id instead of name.
2014-03-27 Fixed issue with Basic Math Gaps events
2014-03-27 New module Next, similar to Next Page Button module, navigating to next page, but first it checks whenever all activities on the page has been attempted and button Submit has been pressed.
2014-03-26 Added command isAttempted for Connection addon
2014-03-26 Fixed couple of issues with Shape Tracing addon
2014-03-26 Added command isAttempted for True/False addon
2014-03-26 Is attempted command for Fractions addon
2014-03-25 New addons Points and Lines and Edge Animation
2014-03-25 Fixed problem with report score for not visited pages
2014-03-25 Fixed problem with reset and set state in Submit module
2014-03-24 "Return first score" flag modifies how the score is presented to the user
2014-03-24 New module Submit, which acts like a Check module, but checks results only when all modules are in attempted state
2014-03-24 Added handling custom events in the Advanced Connector
2014-03-24 Added custom event to event bus
2014-03-21 Added command isAttempted to Image Gap module
2014-03-21 Added new text properties to check button
2014-03-21 Added checkAnswers and uncheckAnswers method to Player API
2014-03-21 Added command isAttempted to Text module
2014-03-21 New addon: Hierarchical_Lesson_Report
2014-03-19 Fixed issue with special characters external links in Text module
2014-03-19 Added getModules method to Player API
2014-03-19 Fixed problem with Tex in Video module
2014-03-19 Added Coloring module
2014-03-18 Fixed problem with links in page styles.
2014-03-18 Added sending events to Text Selection module
2014-03-17 Added addon Shape Tracing
2014-03-14 Added command isAttempted to choice
2014-03-12 Player can return first or last score
2014-03-11 Fixed problem with Animation module commands execution on PageLoaded event
2014-03-11 Player API extended to return page id
2014-03-07 Added AllOK event and isAllOK command in Text module
2014-03-07 Fixed problem with parsing addon properties
2014-03-07 Fixed issue with icon pages on navigation bar for mLibro.
2014-03-07 New addon connecting dots and updated fractions
2014-03-06 Added enableAllGaps and disableAllGaps commands in Table module
2014-03-06 Added enableAllGaps and disableAllGaps commands in Text module
2014-03-06 Added injecting 'event' object into Advanced Connector module scripts
2014-03-04 Added property for external links target in Text module.
2014-03-05 Added 'Is disabled' property in Advanced Connector module
2014-03-04 Basic Math Gaps module: Fixed navigation arrows showing up when clicking on the input and fixed alert error in Editor when Is Equation flag has been set to true
2014-03-04 Fixed issue with external links in Text module.
2014-03-04 Fixed few bugs in eKeyboard i.a. on mobile devices system keyboard will not display anymore, added draggable
2014-03-04 Drag'n'drop with multiple gap fixed, no more doubled images.
2014-03-03 New addon: Count and Graph
2014-02-28 Add CSS class for selected page number in Table of Contents addon.
2014-02-26 Fixed problem with scoring and events in Hangman addon.
2014-02-21 Fixed problem with numeration of pages in Table Of Contents addon.
2014-02-21 New modules: Basic Math Gaps and eKeyboard
2014-02-21 PlayerUtils return mistake count also
2014-02-20 Support for dragging in multiple gap
2014-02-19 Fixed problem with page move notification
2014-02-18 Fixed problem with scoring method when module LineNumber was not activity
2014-02-18 PlayerUtils extended to return score for individual pages
2014-02-18 Fixed problem with empty text on chrome browser
2014-02-17 Fixed problem with localized property names
2014-02-17 Added new property for additional classes in popup
2014-02-13 Added API interface to get table of contents
2014-02-13 Fixed problem with exception thrown to JavaScript console at presentation start
2014-02-13 Fixed problem with blocking popup button after check+reset combination
2014-02-13 Don't allow opening the popup twice
2014-02-11 Different handling for d&d on mobile devices and PC
2014-02-10 Fixed problem with d&d
2014-02-06 Fixed problem with page progress on not reportable page
2014-02-05 Added drag and drop support to image source and image gap
2014-02-05 Added drag and drop support to source list and text modules
2014-02-05 Added custom css support for plots in Plot module
2014-02-04 Fixed state restoring after clicking Reset button in Memo Game module
2014-01-27 Added new command to Puzzle module: getLoadedPromise
2014-01-23 Add Navigation Panel feature.
2014-01-23 Changed type of property Description (from text to html) in Glossary module
2014-01-23 Fixed problem with positioning LaTeX in Text Identification module in book view mode
2014-01-22 Fixed problem with MathJax rendering in Video module
2014-01-16 Fixed problem with drag & drop in Graph module
2014-01-16 Glossary definition click events are not propagated any more to stop navigation buttons display.
2014-01-15 Fixed problem with zero one score.
2014-01-14 Added new score type. result - errors.
2014-01-13 Fixed bug in Text Identification, when clicking on the module was showing navigation arrows
2014-01-13 Added new score type Zero-One
2014-01-13 Allow putting glossary module in header and footer.
2014-01-13 Fixed Text Selection module when marked word has signs before/after.
2014-01-12 Unified command names for presenter and plot addon
2014-01-10 Added CustomScoring methods to Connection module.
2014-01-09 Added CustomScoring methods to True/False module.
2014-01-09 Added show and hide methods to Page Progress module.
2014-01-08 Fixed problem with Memo Game when trying to read state saved in different platform
2014-01-08 Fixed problem with relative URLs in inline styles.
2014-01-08 Changed True/False property type to accept HTML formatting.
2014-01-02 Libraries removed from addon descriptor
2013-12-31 Fixed problem with hiding multiplegap under other addons
2013-12-30 Fixed problem with Animation addon on Firefox
2013-12-18 Added new addon: Line
2013-12-17 Fixed problem with popup's custom closing time and initialization of Glossary addon
2013-12-16 Header for Table of Contents is now editable
2013-12-16 Fixed tests in Line Number and Audio addons
2013-12-13 Fixed problem with custom styles in Glossary addon
2013-12-13 Fixed problem with placing Glossary widget into closing popup
2013-12-13 Fixed problem with centering the mismatch mark in memo game
2013-12-11 Fixed problem with restoring state from same lesson but other source
2013-12-11 Close popup while changing page
2013-12-11 Fixed problem with navigation toolbars position
2013-12-10 Fixed problem with page numbers in Table Of Contents addon
2013-12-10 Fixed problem with counting errors and sending events on setState, setShowErrorsMode and setWorkMode in Hangman addon
2013-12-10 Fixed problem with navigation toolbars and report module
2013-12-09 Removed reaction on Reset in Check Counter module
2013-12-09 Removed console.logs in Double State Button
2013-12-09 Fixed problem with drawRange function in Line Number addon
2013-12-09 Fixed problem with Audio addon on iPads with getState function and AC scripts
2013-12-06 Fixed problem with rendering mathjax in text module while loading state
2013-12-05 Fixed problem with selecting Paragraph addon in the editor
2013-12-05 Fixed problem with low height Paragraph addon
2013-12-04 Fixed issue with marking points as wrong in free points mode
2013-12-04 Added Custom CSS property to Paragraph addon
2013-12-04 Fixed issue with points on axis after 'check' in LineNumber addon
2013-12-03 Blockage displaying page navigation's arrows after clicking on the ExternalLinkButton
2013-12-02 Added drop event handler for gaps in Text module
2013-11-29 Fixed problem with errors counting in Memo Game addon
2013-11-27 Fixed problem with showing choice after reset
2013-11-22 New commands in module choice: show, hide, reset
2013-11-22 Fixed problem with initial setState in Paragraph addon
2013-11-20 Fixed problem with Source list not activity mode
2013-11-20 Source list can contain formatted text
2013-11-19 Fixed issue with Text Selection addon
2013-11-18 Fixed issue with axis custom values in Plot addon
2013-11-18 Added stop propagation on event click in Double State Button module.
2013-11-18 Added support for Eastern Arabic and Perso-Arabic numericals in Navigation Bar
2013-11-18 Added support for Eastern Arabic and Perso-Arabic numericals in Page Counter
2013-11-15 Fixed bug in selection with selecting last phrase
2013-11-15 Add markAs... command to choice module
2013-11-14 Scorm libraries updated to handle storing session time
2013-11-08 Fixed problem with leaping frames in Animation addon
2013-11-06 New JS library to handle SCORM 1.2
2013-11-05 Fixed issue with Double State Button on mLibro Android application
2013-10-31 Added 2 commands setClickDisabled and setClickEnabled to Image Viewer addon
2013-10-29 Fixed issue with precision in Plot addon
2013-10-25 Fixed problem with restoring gap states
2013-10-24 Fixed problem with Text Selection containg LaTeX with additional spaces
2013-10-23 Fixed tests in Single State Button
2013-10-23 Added 2 commands markAsCorrect and markAsWrong to Image Viewer addon
2013-10-22 Fixed problem with LaTeX in Text Selection addon
2013-10-21 Added displayName for addons' properties
2013-10-21 Added saving in state if addon Graph is started
2013-10-21 Fixed problem with gaps in Text module
2013-10-16 Clear event bus when closing popup
2013-10-16 Added CSS3 animation to navigation arrows
2013-10-15 Fixed problem with counting errors in Custom Scoring
2013-10-14 Fixed bug with hover effect on mobile devices in Choice and Image Source modules
2013-10-14 Fixed problem with multiple parentheses in latex code
2013-10-14 Fixed bug with limited errors in Custom Scoring
2013-10-09 Fixed True/False and Table not loading properly due to bug 'c.find is undefined'
2013-10-09 Fixed Glossary links on feedback when div.ic_page had more then one class
2013-10-09 Fixed bug with calculating graph max score when activity was not started
2013-10-09 Fixed bug with hover effect on mobile devices in Double State Button
2013-10-09 Fixed bug with black background on IE 10 in Multiplegap addon
2013-10-08 Fixed problem with definition event in book mode
2013-10-08 event bug on safari in Video addon fixed
2013-10-07 Fixed problem with next page in book mode while presentation contains 2 pages only
2013-10-07 event bug in addons Graph and Single State Button fixed
2013-10-07 Added getView function for modules
2013-10-06 Changed navigation arrows default styling.
2013-10-04 Fixed bug in event propagation in Double State Button
2013-10-04 Removed user-select property from Drawing module styles, which was causing inability to select property value in Editor
2013-10-03 Added stop propagation to addons: Crossword, Graph, Line Number, Plot, Audio, Drawing, IMageViewer Button Controller, Multi audio, DOuble State Button, Single State Button, Slider, Event Sender
2013-10-03 Navigation arrows restored
2013-10-03 Added stop propagation to addons: Connection, Hangman, Image Identification, Magic boxes, Gamememo, Multiplegap, Puzzle, Text selection, True False, Writing Calculations, Navigation Bar, Slide show, Image viewer, Animation
2013-10-03 MP4 sources are now prefered in video addon
2013-10-02 Fixed problem with Navigation Bar with page indexes.
2013-10-02 Fixed problem with blocking Line Number addon and added new class 'disable' to '.outer' div when property 'Disable' is on true           d
2013-10-01 Added page name to page loaded event
2013-10-01 Fixed problem with definition of disable and not activity properties
2013-10-01 Fixed problem with scoring in graph
2013-09-30 Fixed problem with points in Image Indentification addon
2013-09-30 Fixed problem with mouseleave.
2013-09-30 Fixed problem with Drawing addon. Loading state and eraser.
2013-09-27 Fixed problem with displaying Glossary on book view
2013-09-26 Fixed displaying Glossary and other addons (Video, Image etc) on the following addons: Feedback, True/False, Table
2013-09-23 Fixed TextParserProxy issue
2013-09-23 Added simulate Tap event listeners to 4 addons (True/False, Connection, Image Identification, Text Identification)
2013-09-20 Fixed addon on Feedback issue
2013-09-19 Fixed Glossary links on feedback
2013-09-19 Added TextParserProxy: parse, connectLinks - in Commons (now in version 1.8)
2013-09-19 Added Drawing module. This module allows to draw on digital canvas.
2013-09-18 Fixed Glossary issue
2013-09-17 Script allows True and False values
2013-09-16 Added getState and setState for Puzzle
2013-09-16 goToPageIndex added to API
2013-09-13 Choice can work in not activity mode
2013-09-12 Addon Glossary can not hide other addons
2013-09-12 Fixed problem with Glossary in Preview
2013-09-11 Fixed problem with image gap not activity under show errors mode
2013-09-06 Fixed problem with Glossary and Popup
2013-09-06 Fixed problem with draggable gaps and state
2013-09-06 Fixed problem with going to first page in book mode
2013-09-05 Popup z-index = 100
2013-09-04 Added Book API
2013-09-03 Fixed Paragraph for non existing tinymce editor
2013-09-03 Added default sizes to ic_popup_page CSS class
2013-09-02 Fixed PlayerUtils for object with unavailable API
2013-09-02 Fixed problem addon resources
2013-09-02 Fixed problem with gaps on popups
2013-09-02 Added thousand separator for Math module
2013-09-02 Added StringUtils: replaceAll, startsWith, endsWith - in Commons (now in version 1.7)
2013-08-29 Fixed problem with shuffling in Puzzle module
2013-08-29 Fixed problem with state in text module
2013-08-27 Added relative layout
2013-08-26 Page without tasks is calculated as 100% in score
2013-08-19 Added Text Selection module - enable to select parts of texts
2013-08-09 Fixed problem with too many change events from choice module
2013-08-09 Added cover page to book mode
2013-08-07 Updated modules descriptions
2013-08-05 Fixed problem with nonunicode characters pasted to text editor
2013-08-02 Check can be used on footer and header
2013-08-01 Fixed Open Popup Button in error checking mode
2013-08-01 Added show and hide commands to all button modules
2013-07-30 Fixed Video module visibility in popup page
2013-07-29 Fixed onEnd event in Video module
2013-07-26 Fixed problem with inline choice when selecting default value '---'
2013-07-26 Fixed problem with spaces in URL
2013-07-25 Added visibility commands in Standard Shapes module
2013-07-25 Added restoring visibility in Slideshow module
2013-07-22 Added 'Hide toolbar' property which hides default options toolbar and makes more space for text
2013-07-16 Fixed value change events in Table module gaps system
2013-07-05 Fixed a bug when event AllOk was sent even when wrong ranges were drawn
2013-07-05 Fixed problem when Check was not removing range end image in Line Number module
2013-07-04 Fixed problem when changing pages in Graph module
2013-07-04 Fixed drawing range bug in Line Number module
2013-07-03 Added Line Number module - used to draw X-axis ranges
2013-07-03 Updated Custom Scoring module icon
2013-07-02 Added event sending on playback finish to Video module
2013-07-01 Fixed problem with events from not activity gaps
2013-07-01 Fixed problem with disabled state for draggable gaps
2013-06-30 Improved performance in Slider module
2013-06-30 Fixed problem with Graph module loading
2013-06-29 Removed 'Show time' property from Video module
2013-06-28 Updated 3D Viewer module icon
2013-06-28 Fixed problem with audio resources in Slideshow module on Safari Mobile
2013-06-27 Added decimal separator property to Graph module
2013-06-27 Added jQuery CSV library
2013-06-26 Fixed focus problem in Paragraph module on Firefox browser
2013-06-26 Added command for obtaining current frame in Image Viewer module
2013-06-26 Added rotation and quality change commands to 3D Viewer module
2013-06-25 Fixed min/max validation in float validation in Commons (now in version 1.6.10)
2013-06-25 Added parsedValue property in float validation in Commons (now in version 1.6.9)
2013-06-24 Fixed labels visibility in Animation module
2013-06-24 Fixed float validation in Commons (now in version 1.6.8.)
2013-06-21 Added new command to Image Identification module - removeMark - which removes marks done by markAs.. commands
2013-06-21 Added new property - "Is not an activity" to Image Identification module
2013-06-21 Fixed integer validation for zero values in Commons (now in version 1.6.7)
2013-06-21 Added helper method - displaying error messages - in Commons (now in version 1.6.6)
2013-06-21 Added Custom Scoring module. This module allows users to bind multiple modules and create fully scored activities from them
2013-06-17 Fixed displaying error messages in Slideshow module
2013-06-13 Added localization to new page name
2013-06-13 Fixed problem with adding Paragraph module into presentation
2013-06-12 Fixed problem with restoring visibility in Table module after page change
2013-06-12 Fixed problem with fonts in multiple Paragraph editors on one page
2013-06-12 Added JSC3D library for viewing 3D models purposes
2013-06-12 Added 3D Viewer module. This module allow simple viewing 3D objects saved in OBJ format
2013-06-12 Added commands queue utility to Commons which allows postponing commands execution (while module is loading asynchronously)
